<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** version 20220901 ***************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="Clickable NWS National Advisory Maps"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('Clickable NWS National Advisory Mapse');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'Clickable NWS National Advisory Maps';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
############################# The Only Settings #############################
$divWidth = 656; // Width of Map
$jQdir = 'jquery'; // Location of image-map.min.js
################################ End Settings ###############################
##
$maxWidth = 1200; // Maximum Width of Map Until Excessive Line Distortion Occurs
if ($divWidth>$maxWidth) $divWidth = $maxWidth;
?>
<style type="text/css">
div.center {
	 width:100%;
	 margin-left: auto;
	 margin-right: auto;
}
/* US alerts maps */
#usAlertsMaps
{
   position: relative; /* so alaska / hawaii can be placed absolute */
   width: 100%;
   margin: 0 auto;
   padding: 0;
}

#usAlerts
{
   display: block;
   margin: 0;
   padding: 0;
   width: 100%;
}

#alaskaHawaiiAlertsMaps
{
   position: absolute;
   width: 100%;
   bottom: 0px;
   z-index: 1;
}

#alaskaAlerts,
#hawaiiAlerts
{
   display: block;
   float: left;
   margin: 0;
   padding: 0;
   width: 18%;
   border: 1px solid #cccccc;
}

/* alert map legend */

#usAlertsMapLegend
{
   width: <?php echo $divWidth?>;
	 margin-left: auto;
	 margin-right: auto;
}

.usAlertsMapColumn
{
   width: 50%;
   float: left;
}

#usAlertsMapLegend .usAlertsMapColumn p
{
   text-align: left;
   margin: .5ex 0;
   padding: 0 0 0 3em;
   text-indent: -2.5em;
}

.wwabox  /* color code box */
{
   border: solid 1px black;
   padding: 0 1em 0 0;
   margin-right: .25em;
}

#usAlertsMapLegend a
{
   font-size: 90%;
}

@media screen and (max-width: 1000px)
{
   #alaskaAlerts,
   #hawaiiAlerts
   {
     width: 17%;
   }
}

@media screen and (max-width: 750px) {
   #usAlertsMaps
   {
     width: 95%;
   }
   #alaskaHawaiiAlertsMaps
   {
     position: relative;
     width: 100%;
   }
   #alaskaAlerts,
   #hawaiiAlerts
   {
     float: none;
     margin: 1ex auto;
     width: 75%;
   }
   .usAlertsMapColumn
   {
     width: 100%;
     float: none;
     clear: both;
   }
   #usAlertsMapLegend .usAlertsMapColumn p
   {
     margin: 1ex 0;
     padding: 0 0 0 2.2em;
     text-indent: -1.7em;
   }
}
#z800000 {
background-color: #800000;
}
#zFFFFFF {
background-color: #FFFFFF;
}
#z483D8B {
background-color: #483D8B;
}
#z0000FF {
background-color: #0000FF;
}
#zC71585 {
background-color: #C71585;
}
#zB22222 {
background-color: #B22222;
}
#zFF7F50 {
background-color: #FF7F50;
}
#z9400D3 {
background-color: #9400D3;
}
#z7FFF00 {
background-color: #7FFF00;
}
#zFFD700 {
background-color: #FFD700;
}
#zE9967A {
background-color: #E9967A;
}
#zFFE4C4 {
background-color: #FFE4C4;
}
#z8B4513 {
background-color: #8B4513;
}
#zCD5C5C {
background-color: #CD5C5C;
}
#zF0E68C {
background-color: #F0E68C;
}
#z66CDAA {
background-color: #66CDAA;
}
#z9932CC {
background-color: #9932CC;
}
#zFF8C00 {
background-color: #FF8C00;
}
#zFFB6C1 {
background-color: #FFB6C1;
}
#z00FFFF {
background-color: #00FFFF;
}
#z4169E1 {
background-color: #4169E1;
}
#zC0C0C0 {
background-color: #C0C0C0;
}
#z87CEFA {
background-color: #87CEFA;
}
#zA0522D {
background-color: #A0522D;
}
#zA52A2A {
background-color: #A52A2A;
}
#z7CFC00 {
background-color: #7CFC00;
}
#zFA8072 {
background-color: #FA8072;
}
#zFF00FF {
background-color: #FF00FF;
}
#zDB7093 {
background-color: #DB7093;
}
#zDC143C {
background-color: #DC143C;
}
#zFF0000 {
background-color: #FF0000;
}
#z5F9EA0 {
background-color: #5F9EA0;
}
#zEE82EE {
background-color: #EE82EE;
}
#zBDB76B {
background-color: #BDB76B;
}
#zFFFF00 {
background-color: #FFFF00;
}
#zFFA500 {
background-color: #FFA500;
}
#z40E0D0 {
background-color: #40E0D0;
}
#z8B0000 {
background-color: #8B0000;
}
#zDAA520 {
background-color: #DAA520;
}
#zFF1493 {
background-color: #FF1493;
}
#zB8860B {
background-color: #B8860B;
}
#z6495ED {
background-color: #6495ED;
}
#zFFDEAD {
background-color: #FFDEAD;
}
#z6B8E23 {
background-color: #6B8E23;
}
#zFF4500 {
background-color: #FF4500;
}
#z8B008B {
background-color: #8B008B;
}
#zFF69B4 {
background-color: #FF69B4;
}
#z008B8B {
background-color: #008B8B;
}
#z1E90FF {
background-color: #1E90FF;
}
#z228B22 {
background-color: #228B22;
}
#zCD853F {
background-color: #CD853F;
}
#z00FF00 {
background-color: #00FF00;
}
#z9400D3 {
background-color: #9400D3;
}
#zBC8F8F {
background-color: #BC8F8F;
}
#zFFC0CB {
background-color: #FFC0CB;
}
#zD2B48C {
background-color: #D2B48C;
}
#z4B0082 {
background-color: #4B0082;
}
#zF4A460 {
background-color: #F4A460;
}
#z32CD32 {
background-color: #32CD32;
}
#z228B22 {
background-color: #228B22;
}
#zDDA0DD {
background-color: #DDA0DD;
}
#z90EE90 {
background-color: #90EE90;
}
#zB0C4DE {
background-color: #B0C4DE;
}
#zDA70D6 {
background-color: #DA70D6;
}
#z7B68EE {
background-color: #7B68EE;
}
#z48D1CC {
background-color: #48D1CC;
}
#zAFEEEE {
background-color: #AFEEEE;
}
#z00FF7F {
background-color: #00FF7F;
}
#zBA55D3 {
background-color: #BA55D3;
}
#z00BFFF {
background-color: #00BFFF;
}
#zD8BFD8 {
background-color: #D8BFD8;
}
#z696969 {
background-color: #696969;
}
#zD8BFD8 {
background-color: #D8BFD8;
}
#z708090 {
background-color: #708090;
}
#z008080 {
background-color: #008080;
}
#z00BFFF {
background-color: #00BFFF;
}
#zA9A9A9 {
background-color: #A9A9A9;
}
#zADFF2F {
background-color: #ADFF2F;
}
#z4682B4 {
background-color: #4682B4;
}
#z2E8B57 {
background-color: #2E8B57;
}
#z808080 {
background-color: #808080;
}
#zFFE4B5 {
background-color: #FFE4B5;
}
#zFFDAB9 {
background-color: #FFDAB9;
}
#zEEE8AA {
background-color: #EEE8AA;
}
#z98FB98 {
background-color: #98FB98;
}
#zF0FFFF {
background-color: #F0FFFF;
}
#zF08080 {
background-color: #F08080;
}
#zD2691E {
background-color: #D2691E;
}
#zFD6347 {
background-color: #FD6347;
}
#z2F4F4F {
background-color: #2F4F4F;
}
#wwa.div, #wwa.span, #wwa.em, ul, #wwa.mark, #wwa.audio, #wwa.video {
	margin: 0;
	padding: 0;
	border: 0;
}
</style>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.1.1.slim.min.js"></script>
<script type="text/javascript" src="./<?php echo $jQdir?>/image-map.min.js"></script>
</head>
<body>

<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
$mapLegendUrl = 'https://www.weather.gov/';
list($headers, $content) = getRemoteDataWithoutHanging($mapLegendUrl, "", false, 1, 0);
$usAlertsMapLegend = "";
if (!empty($content))
{
  // html scraping to get the legend...
  $start = strpos($content, '<div id="wwa">');

  if ($start !== false)
  {
    $content = substr($content, $start);
		//$content = str_replace('<div id="wwa">','<div class="center" id="wwa">',$content);
    // find the first list element
    $start = strpos($content, "<li>");
    if ($start !== false)
    {
      $start += strlen("<li>");
//      $finish = strpos($content, "</ul></div></div>", $start);
      $finish = strpos($content, "</ul>\n    </div>\n</div>", $start);
      if ($finish !== false)
      {
        $length = $finish - $start;
        $usAlertsMapLegend = substr($content, $start, $length);
        // eliminate stuff we don't want
        $usAlertsMapLegend = str_replace("<ul>", "", $usAlertsMapLegend);
        $usAlertsMapLegend = str_replace("</ul>", "", $usAlertsMapLegend);
        $usAlertsMapLegend = str_replace("</li>", "", $usAlertsMapLegend);
        $usAlertsMapLegend = str_replace("</div>\n    <div id=\"wwacenter_l\">", "",
                                         $usAlertsMapLegend);
        $usAlertsMapLegend = str_replace("</div>\n    <div id=\"wwacenter_r\">", "",
                                         $usAlertsMapLegend);
        $usAlertsMapLegend = str_replace("</div>\n    <div id=\"wwaright\">", "",
                                         $usAlertsMapLegend);
//        $usAlertsMapLegend = str_replace('</div><div id="wwacenter_l">', "", $usAlertsMapLegend);
//        $usAlertsMapLegend = str_replace('</div><div id="wwacenter_r">', "", $usAlertsMapLegend);
//        $usAlertsMapLegend = str_replace('</div><div id="wwaright">', "", $usAlertsMapLegend);
        // replace the //forecast.weather.gov in the links with https://....
        $usAlertsMapLegend = str_replace('href="//', 'href="https://', $usAlertsMapLegend);

// 		change "&waa" in the URLs to use &amp;
		$usAlertsMapLegend = str_replace("&wwa", "&amp;wwa", $usAlertsMapLegend);

				/* Debug Code *
        echo "<!-- map legend: \n";
        var_dump($usAlertsMapLegend);
        echo "\n -->\n";
				/* End Deubg Code */
        // divvy up into separate links
        $legendLinks = explode("<li>", $usAlertsMapLegend);
//        echo "<!-- legend links: \n";
//        var_dump($legendLinks);
//        echo "\n -->\n";
        $usAlertsMapLegend = "";
        $columnBreak = round(sizeof($legendLinks) / 2);
				if (sizeof($legendLinks)%2) $oddLegend = true; else $oddLegend = false;
        foreach($legendLinks as $index => $legendLink)
        {
          // define div if needed
          if ( ($index == 0)  ||  ($index == $columnBreak) )
          {
            if ($index == $columnBreak)
            {
              $usAlertsMapLegend .= "</div> <!-- usAlertsMapColumn -->\n";
            }
            $usAlertsMapLegend .= "\n" . '<div class="usAlertsMapColumn">' . "\n";
          }
          // separate the div box and the link
          $linkStart = strpos($legendLink, "<a");
          $box = substr($legendLink, 0, $linkStart);
          $link = substr($legendLink, $linkStart);
          // fix up spaces in link
          $urlStart = strpos($link, '"');
          $url = substr($link, $urlStart + 1);
          $urlEnd = strpos($url, '"');
          $url = substr($url, 0, $urlEnd);
          echo "<!-- url " . $url . " -->\n";
          $url = str_replace(" ", "+", $url);
          echo "<!-- url " . $url . " -->\n";
          $link = substr_replace($link, $url, $urlStart + 1, $urlEnd);
          // finally, change the div in the box to a span
          $box = str_replace("<div ", "<span ", $box);
          $box = str_replace("</div>", "</span>", $box);
          echo "<!-- box and link\n";
          echo $box . "\n";
          echo $link;
          echo "\n -->\n";
          $usAlertsMapLegend .= "<p>" . $box . $link . "</p>\n";
        } // end foreach link
        // add target attribute to links so link open in separate window
        $usAlertsMapLegend = str_replace('<a ', '<a target="_blank" title="New Tab" ', $usAlertsMapLegend);
        $usAlertsMapLegend .= "</div> <!-- usAlertsMapColumn -->\n";
      } // end if we found finish
    } // end if we found list start
  } // end if we found start
} // end if we got the page
// echo "<!-- map legend: \n";
// var_dump($usAlertsMapLegend);
// echo "\n -->\n";
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; height:auto; <?php echo !$standAlone?'border:inset':''?>">
  <?php if ($_SESSION['CSSwidescreen']==1) $divWidth = $maxWidth;?>
<?php } else { ?>
	<div id="main-copy" style="width:100%; height:auto; padding:0px; <?php echo !$standAlone?'border:inset':''?>">
<?php }	?>
	<h2 align="center">Clickable NWS National Advisory Maps</h2>
    <div style="height:auto; width:<?php echo $divWidth?>px; display:block;" class="center">
        <div id="usAlertsMaps">
          <img id="usAlerts"
               src="https://forecast.weather.gov/wwamap/png/US.png"
               usemap="#US_large_imagemap_800_500"
               alt="US Large Image Map"/>
          <div id="alaskaHawaiiAlertsMaps">
            <img id="alaskaAlerts"
                 src="https://forecast.weather.gov/wwamap/png/ak.png"
                 usemap="#alaska_imagemap_354_274"
                 alt="US Alaska Map"/>
            <img id="hawaiiAlerts"
                 src="https://forecast.weather.gov/wwamap/png/hi.png"
                 usemap="#hawaii_imagemap_354_274"
                 alt="US Hawaii Map"/>
          </div> 
    <script type="text/javascript">
     ImageMap('img#usAlerts[usemap]');
     ImageMap('img#alaskaAlerts[usemap]');
     ImageMap('img#hawaiiAlerts[usemap]');
	</script>
    <map id="US_large_imagemap_800_500" name="US_large_imagemap_800_500">
<area alt="Hudson to Baltimore Canyon" title="Hudson to Baltimore Canyon" href="https://forecast.weather.gov/shmrn.php?mz=anz084&amp;syn=anz089" coords="698,169,696,179,695,187,692,194,692,199,714,204,715,188,718,175,698,169" shape="poly" target="_blank"/>
<area alt="Southern Florida" title="Southern Florida" href="https://www.weather.gov/mfl/" coords="653,399,646,399,645,403,640,403,641,406,642,409,643,414,639,417,645,423,648,422,647,424,652,427,656,432,662,432,666,428,666,418,665,409,662,400,655,401,653,399" shape="poly" target="_blank"/>

<!--  GMZ015, GMZ021 -->
<area shape="poly" coords="555,380,561,377,567,384,573,386,586,387,597,380,603,385,604,390,605,393,606,399,609,405,616,413,623,424,630,433,635,438,565,451,555,380" alt="NE Gulf N of 25N E of 87W" title="NE Gulf N of 25N E of 87W" href="https://forecast.weather.gov/shmrn.php?mz=gmz015&amp;syn=gmz001" target="_blank"/>
<area shape="poly" coords="565,451,634,438,635,440,626,441,623,442,622,452,623,456,626,462,628,463,642,463,657,458,667,453,669,462,661,464,658,462,655,464,648,465,642,465,636,469,627,471,617,478,609,488,608,492,602,496,601,497,571,500,565,451" alt="Gulf from 22N to 25N E of 87W including Straits of Florida" title="Gulf from 22N to 25N E of 87W including Straits of Florida" href="https://forecast.weather.gov/shmrn.php?mz=gmz021&amp;syn=gmz001" target="_blank"/>

<!--  GMZ011, GMZ013, GMZ017, GMZ019 -->
<area shape="poly" coords="455,402, 456,444, 427,446, 425,436, 422,428, 433,418, 455,402" alt="NW Gulf including Stetson Bank" title="NW Gulf including Stetson Bank" href="https://forecast.weather.gov/shmrn.php?mz=gmz011&amp;syn=gmz001" target="_blank"/>
<area shape="poly" coords="456,402, 464,398,470,400,474,400,482,402,494,407,506,407,513,405,517,407,528,405,536,401,541,383,554,380,562,434,457,444,456,402" alt="N Central Gulf including Flower Garden Banks Marine Sanctuary" title="N Central Gulf including Flower Garden Banks Marine Sanctuary" href="https://forecast.weather.gov/shmrn.php?mz=gmz013&amp;syn=gmz001" target="_blank"/>
<area shape="poly" coords="410,448,456,444,459,500,400,500,401,480,405,461,408,454,410,448" alt="W Central Gulf from 22N to 26N W of 94W" title="W Central Gulf from 22N to 26N W of 94W" href="https://forecast.weather.gov/shmrn.php?mz=gmz017&amp;syn=gmz001" target="_blank"/>
<area shape="poly" coords="457,444,562,434,571,500,460,500,457,444" alt="Central Gulf from 22N to 26N between 87W and 94W" title="Central Gulf from 22N to 26N between 87W and 94W" href="https://forecast.weather.gov/shmrn.php?mz=gmz019&amp;syn=gmz001" target="_blank"/>

<!--  AMZ111, AMZ113, AMZ115, AMZ117, AMZ119 -->
<area shape="poly" coords="645,336,690,324,707,388,677,395,667,380,664,372,661,366,654,358,649,352,644,342,645,336" alt="Atlantic from 27N to 31N W of 77W" title="Atlantic from 27N to 31N W of 77W" href="https://forecast.weather.gov/shmrn.php?mz=amz111&amp;syn=amz101" target="_blank"/>
<area shape="poly" coords="690,324,785,295,800,337,800,359,707,388,690,324" alt="Atlantic from 27N to 31N between 70W and 77W" title="Atlantic from 27N to 31N between 70W and 77W" href="https://forecast.weather.gov/shmrn.php?mz=amz113&amp;syn=amz101" target="_blank"/>
<area shape="poly" coords="785,295,800,287,800,336,785,295" alt="Atlantic from 27N to 31N between 65W and 70W" title="Atlantic from 27N to 31N between 65W and 70W" href="https://forecast.weather.gov/shmrn.php?mz=amz115&amp;syn=amz101" target="_blank"/>
<area shape="poly" coords="678,396,707,388,800,445,800,449,723,471,711,465,705,463,698,465,694,468,692,466,686,463,682,464,676,462,678,462,672,463,670,462,667,453,675,444,679,436,681,428,681,413,679,401,678,396" alt="Bahamas N of 22N including the Cay Sal Bank" title="Bahamas N of 22N including the Cay Sal Bank" href="https://forecast.weather.gov/shmrn.php?mz=amz117&amp;syn=amz101" target="_blank"/>
<area shape="poly" coords="800,359,800,444,707,388,800,359" alt="Atlantic from 22N to 27N E of Bahamas to 70W" title="Atlantic from 22N to 27N E of Bahamas to 70W" href="https://forecast.weather.gov/shmrn.php?mz=amz119&amp;syn=amz101" target="_blank"/>

<!--  AMZ011, AMZ013, AMZ015, AMZ123 -->
<area shape="poly" coords="570,500,601,497,601,500,570,500" alt="Tropical N Atlantic from 15N to 19N between 55W and 60W" title="Tropical N Atlantic from 15N to 19N between 55W and 60W" href="https://forecast.weather.gov/shmrn.php?mz=amz011&amp;syn=amz001" target="_blank"/>
<area shape="poly" coords="644,500,725,500,729,497,723,498,717,499,712,496,705,492,705,490,702,487,698,489,688,489,683,489,674,486,663,488,565,487,649,486,644,484,643,481,639,481,635,485,634,488,641,488,644,491,646,496,647,497,646,499,644,500" alt="Caribbean N of 18N between 76W and 85W including the Cayman Basin" title="Caribbean N of 18N between 76W and 85W including the Cayman Basin" href="https://forecast.weather.gov/shmrn.php?mz=amz013&amp;syn=amz001" target="_blank"/>
<area shape="poly" coords="616,500,630,500,629,498,631,492,624,493,622,495,620,499,617,499,616,500" alt="Caribbean N of 18N between 76W and 85W including the Cayman Basin" title="Caribbean N of 18N between 76W and 85W including the Cayman Basin" href="https://forecast.weather.gov/shmrn.php?mz=amz013&amp;syn=amz001" target="_blank"/>
<area shape="poly" coords="791,488,790,491,791,494,793,496,798,496,800,495,800,500,767,500,774,496,778,494,783,491,786,489,791,488" alt="Caribbean approaches to the Windward Passage" title="Caribbean approaches to the Windward Passage" href="https://forecast.weather.gov/shmrn.php?mz=amz015&amp;syn=amz001" target="_blank"/>
<area shape="poly" coords="725,471,800,448,800,479,796,485,784,489,785,486,782,483,779,482,776,483,768,479,763,478,758,480,752,475,746,477,745,476,734,476,729,473,724,471,725,471" alt="Atlantic S of 22N W of 70W including approaches to the Windward Passage" title="Atlantic S of 22N W of 70W including approaches to the Windward Passage" href="https://forecast.weather.gov/shmrn.php?mz=amz123&amp;syn=amz101" target="_blank"/>


<area alt="Cape Fear to 31 N" title="Cape Fear to 31 N" href="https://forecast.weather.gov/shmrn.php?mz=anz088&amp;syn=anz089" coords="736,311,748,290,676,279,675,283,673,289,670,292,663,292,660,300,657,308,644,323,649,325,645,335,736,311" shape="poly" target="_blank"/>
<area alt="Hatteras Canyon to Cape Fear" title="Hatteras Canyon to Cape Fear" href="https://forecast.weather.gov/shmrn.php?mz=anz086&amp;syn=anz089" coords="747,290,758,270,759,257,700,240,700,258,693,263,689,270,686,275,677,276,677,280,747,290" shape="poly" target="_blank"/>
<area alt="Baltimore Canyon to Hatteras Canyon" title="Baltimore Canyon to Hatteras Canyon" href="https://forecast.weather.gov/shmrn.php?mz=anz085&amp;syn=anz089" coords="760,257,761,239,752,212,694,199,693,202,693,208,689,219,689,228,698,238,698,240,760,257" shape="poly" target="_blank"/>
<area alt="Baltimore Canyon to the Hague Line" title="Baltimore Canyon to the Hague Line" href="https://forecast.weather.gov/shmrn.php?mz=anz094&amp;syn=anz089" coords="752,212,753,203,771,192,784,176,797,139,776,124,773,128,773,134,750,155,731,163,721,168,718,174,716,184,715,195,715,197,713,203,752,212" shape="poly" target="_blank"/>
<area alt="South of New England" title="South of New England" href="https://forecast.weather.gov/shmrn.php?mz=anz083&amp;syn=anz080" coords="718,175,721,171,721,169,731,163,745,159,750,154,739,142,731,148,718,153,712,159,700,170,718,175" shape="poly" target="_blank"/>
<area alt="Georges Bank" title="Georges Bank" href="https://forecast.weather.gov/shmrn.php?mz=anz082&amp;syn=anz080" coords="755,109,739,130,740,137,739,142,750,155,752,152,773,134,774,128,776,124,755,109" shape="poly" target="_blank"/>
<area alt="Gulf of Maine" title="Gulf of Maine" href="https://forecast.weather.gov/shmrn.php?mz=anz081&amp;syn=anz080" coords="744,87,723,111,730,117,739,130,755,108,746,104,744,87" shape="poly" target="_blank"/>
<area alt="Newport/Morehead City, NC" title="Newport/Morehead City, NC" href="https://www.weather.gov/mhx/" coords="695,234,685,237,683,236,676,244,685,243,688,247,682,253,678,254,678,260,684,259,683,262,679,265,670,272,677,276,685,276,690,270,693,263,701,258,701,252,700,245,699,239,695,234" shape="poly" target="_blank"/>
<area alt="Brownsville, TX" title="Brownsville, TX" href="https://www.weather.gov/bro/" coords="405,425,405,437,408,447,425,448,423,436,421,428,405,425" shape="poly" target="_blank"/>
<area alt="Corpus Christi, TX" title="Corpus Christi, TX" href="https://www.weather.gov/crp/" coords="418,407,414,413,405,426,421,429,433,418,420,406,418,407" shape="poly" target="_blank"/>
<area alt="Houston/Galveston, TX" title="Houston/Galveston, TX" href="https://www.weather.gov/hgx/" coords="448,386,435,397,423,404,417,402,418,406,433,418,444,410,455,401,448,386" shape="poly" target="_blank"/>
<area alt="New Orleans, LA" title="New Orleans, LA" href="https://www.weather.gov/lix/" coords="533,366,524,365,515,370,514,375,517,375,521,370,523,376,518,378,518,381,525,384,526,387,523,389,520,386,518,386,514,384,512,387,509,388,503,388,497,388,494,388,497,406,514,405,525,407,532,404,539,397,542,383,533,366" shape="poly" target="_blank"/>
<area alt="Lake Charles, LA" title="Lake Charles, LA" href="https://www.weather.gov/lch/" coords="448,386,454,400,464,397,475,400,498,407,494,384,488,379,483,378,479,380,480,383,478,384,469,381,463,381,456,382,448,386" shape="poly" target="_blank"/>
<area alt="Mobile, AL" title="Mobile, AL" href="https://www.weather.gov/mob/" coords="533,367,542,383,563,377,561,360,551,363,542,365,533,367" shape="poly" target="_blank"/>
<area alt="Tallahassee, FL" title="Tallahassee, FL" href=" https://www.weather.gov/tae/" coords="611,371,600,361,592,361,584,370,571,363,560,360,562,377,564,377,570,383,581,388,591,386,598,381,611,371" shape="poly" target="_blank"/>
<area alt="Tampa, FL" title="Tampa, FL" href="https://www.weather.gov/tbw/" coords="611,371,599,381,603,386,605,397,609,407,615,415,619,418,624,426,639,416,636,412,634,414,628,405,623,399,620,390,619,376,615,372,612,373,611,371" shape="poly" target="_blank"/>
<area alt="Miami, FL" title="Miami, FL" href="https://www.weather.gov/mfl/" coords="638,416,622,425,638,441,648,434,646,429,640,428,646,423,643,423,638,416" shape="poly" target="_blank"/>
<area alt="Key West, FL" title="Key West, FL" href="https://www.weather.gov/key/" coords="646,423,640,428,646,429,648,435,637,440,624,443,622,448,627,463,640,464,653,461,663,455,673,448,680,436,667,427,666,435,659,441,649,446,639,446,644,442,653,438,658,433,655,431,652,428,646,423" shape="poly" target="_blank"/>
<area alt="Florida Keys" title="Florida Keys" href="https://www.weather.gov/key/" coords="657,432,655,436,644,442,641,446,650,446,659,441,665,435,666,431,657,432" shape="poly" target="_blank"/>
<area alt="Miami, FL" title="Miami, FL" href="https://www.weather.gov/mfl/" coords="677,396,663,400,665,411,666,427,680,437,682,431,682,415,680,401,677,396" shape="poly" target="_blank"/>
<area alt="Melbourne, FL" title="Melbourne, FL" href="https://www.weather.gov/mlb/" coords="638,362,650,376,651,382,663,400,677,396,665,375,663,368,654,358,638,362" shape="poly" target="_blank"/>
<area alt="Jacksonville, FL" title="Jacksonville, FL" href="https://www.weather.gov/jax/" coords="630,334,629,343,634,355,639,363,656,359,650,352,645,343,644,333,635,332,630,334" shape="poly" target="_blank"/>
<area alt="Charleston, SC" title="Charleston, SC" href="https://www.weather.gov/chs/" coords="651,298,645,306,638,312,633,321,630,333,645,334,650,325,644,324,649,318,656,309,661,301,651,298" shape="poly" target="_blank"/>
<area alt="Wilmington, NC" title="Wilmington, NC" href="https://www.weather.gov/ilm/" coords="670,271,667,275,666,281,659,284,654,288,651,298,661,301,661,295,663,292,669,293,673,291,675,285,676,280,678,277,670,271" shape="poly" target="_blank"/>
<area alt="Baltimore/Washington, DC" title="Baltimore/Washington, DC" href="https://www.weather.gov/lwx/" coords="668,186,661,192,665,204,669,204,670,200,666,192,668,186" shape="poly" target="_blank"/>
<area alt="Wakefield, VA" title="Wakefield, VA" href="https://www.weather.gov/akq/" coords="692,201,683,200,682,209,680,217,679,223,677,216,675,208,670,204,665,204,669,209,667,210,671,214,672,218,673,221,672,224,675,227,678,227,681,233,685,238,695,235,689,227,688,221,693,208,692,201" shape="poly" target="_blank"/>
<area alt="Philadelphia/Mt. Holly, PA/NJ" title="Philadelphia/Mt. Holly, PA/NJ" href="https://www.weather.gov/phi/" coords="698,170,687,163,685,165,688,166,689,175,687,183,685,190,683,192,682,188,677,188,677,191,683,197,684,200,693,201,692,193,696,186,698,170" shape="poly" target="_blank"/>
<area alt="New York, NY" title="New York, NY" href="https://www.weather.gov/okx/" coords="690,155,696,147,700,147,707,144,718,154,699,170,688,166,685,165,692,162,698,158,704,153,709,148,700,152,690,155" shape="poly" target="_blank"/>
<area alt="Boston, MA" title="Boston, MA" href="https://www.weather.gov/box/" coords="710,148,717,153,733,148,739,143,739,129,734,119,728,115,723,111,713,116,715,118,713,124,719,127,722,131,726,129,724,126,725,124,729,129,727,132,723,135,718,139,713,139,709,143,709,146,710,148" shape="poly" target="_blank"/>
<area alt="Gray/Portland, ME" title="Gray/Portland, ME" href="https://www.weather.gov/gyx/" coords="725,84,724,93,719,95,714,103,712,110,712,117,723,111,727,106,735,97,725,84" shape="poly" target="_blank"/>

<!-- <area alt="Caribou, ME" title="Caribou, ME" href="https://www.weather.gov/car/" coords="743,72,730,88,735,97,747,84,743,72" shape="poly" target="_blank"/>-->
<area shape="poly" coords="726,83,729,79,731,79,733,82,732,84,730,87,728,87,726,83" href="https://forecast.weather.gov/shmrn.php?mz=anz052&amp;syn=anz005" title="Intra Coastal Waters from Schoodic Point ME to Stonington ME" alt="Intra Coastal Waters from Schoodic Point ME to Stonington ME" target="_blank"/>
<area shape="poly" coords="732,91,736,89,737,87,734,81,732,86,730,87,730,90,732,91" href="https://forecast.weather.gov/shmrn.php?mz=anz051&amp;syn=anz005" title="Coastal Waters from Schoodic Point ME to Stonington ME out 25 NM" alt="Coastal Waters from Schoodic Point ME to Stonington ME out 25 NM" target="_blank"/>
<area shape="poly" coords="743,81,744,84,743,88,740,91,734,96,733,95,732,92,736,89,738,87,740,84,741,82,743,81" href="https://forecast.weather.gov/shmrn.php?mz=anz070" title="Waters from Eastport ME to Stonington ME from 25 to 40 NM" alt="Waters from Eastport ME to Stonington ME from 25 to 40 NM" target="_blank"/>
<area shape="poly" coords="734,81,736,78,739,77,740,74,742,72,743,69,744,72,742,74,742,76,742,79,743,80,741,83,740,85,738,86,736,84,734,81" href="https://forecast.weather.gov/shmrn.php?mz=anz050&amp;syn=anz005" title="Coastal Waters from Eastport ME to Stonington Point ME out 25 NM" alt="Waters from Eastport ME to Stonington ME from 25 to 40 NM" target="_blank"/>

<area shape="poly" coords="482,84,476,104,475,100,476,96,471,97,465,101,459,104,465,97,470,91,474,88,479,85,482,84" alt="Northeast Minnesota and Northern Wisconsin" title="Northeast Minnesota and Northern Wisconsin" href="https://www.weather.gov/dlh/" target="_blank"/>
<area shape="poly" coords="495,74,507,79,515,82,524,87,538,92,532,94,526,95,521,99,511,101,507,96,503,95,501,93,506,89,504,85,498,87,495,91,490,96,484,99,477,103,483,84,485,81,485,80,488,80,491,77,495,74" alt="Northern Michigan" title="Northern Michigan" href="https://www.weather.gov/mqt/" target="_blank"/>
<area shape="poly" coords="526,119,529,109,525,111,522,114,521,119,526,119" alt="Northern Michigan" title="Northern Michigan" href="https://www.weather.gov/mqt/" target="_blank"/>
<area shape="poly" coords="521,111,520,114,519,118,514,119,515,115,518,114,521,111" alt="Northern Michigan" title="Northern Michigan" href="https://www.weather.gov/mqt/" target="_blank"/>

<area shape="poly" coords="513,145,520,144,521,138,522,129,523,125,526,119,520,120,519,124,517,129,515,133,515,140,514,143,513,144,513,145" alt="East Central Wisconsin - Green Bay" title="East Central Wisconsin - Green Bay" href="https://www.weather.gov/grb/" target="_blank"/>
<area shape="poly" coords="517,119,515,120,512,124,514,125,515,123,517,119" alt="East Central Wisconsin - Green Bay" title="East Central Wisconsin - Green Bay" href="https://www.weather.gov/grb/" target="_blank"/>

<area shape="poly" coords="520,145,520,151,522,157,522,161,524,167,516,168,515,167,515,161,514,161,514,157,513,150,514,149,514,146,520,145" alt="Southern and Southeastern Wisconsin" title="Southern and Southeastern Wisconsin" href="https://www.weather.gov/mkx/" target="_blank"/>

<area shape="poly" coords="516,168,521,167,524,166,525,171,527,177,523,180,520,178,518,174,516,171,516,168" alt="Northeastern Illinois and Northwestern Indiana - Chicago" title="Northeastern Illinois and Northwestern Indiana - Chicago" href="https://www.weather.gov/lot/" target="_blank"/>

<area shape="poly" coords="526,171,530,170,530,173,530,175,528,177,526,174,526,171" alt="Northern Indiana and Northwestern Ohio" title="Northern Indiana and Northwestern Ohio" href="https://www.weather.gov/iwx/" target="_blank"/>

<area shape="poly" coords="522,130,527,129,527,136,526,139,526,141,527,142,527,148,531,155,532,166,533,160,532,167,530,170,526,171,525,166,524,164,524,166,523,161,523,156,521,151,520,144,521,138,522,134,522,130" alt="Southwestern Michigan" title="Southwestern Michigan" href="https://www.weather.gov/grr/" target="_blank"/>

<area shape="poly" coords="527,129,523,129,523,125,524,122,526,118,530,109,532,108,534,107,538,106,539,109,537,109,537,114,538,116,535,119,532,120,530,124,527,128,527,129" alt="Northeast Michigan - Gaylord" title="Northeast Michigan - Gaylord" href="https://www.weather.gov/apx/" target="_blank"/>
<area shape="poly" coords="568,112,575,129,569,130,562,131,563,125,561,119,561,116,558,113,550,110,544,107,554,105,560,108,568,112" alt="Northeast Michigan - Gaylord" title="Northeast Michigan - Gaylord" href="https://www.weather.gov/apx/" target="_blank"/>
<area shape="poly" coords="538,91,541,97,538,98,537,96,538,93,538,91" alt="Northeast Michigan - Gaylord" title="Northeast Michigan - Gaylord" href="https://www.weather.gov/apx/" target="_blank"/>

<area shape="poly" coords="562,132,575,129,577,135,578,137,578,141,577,144,577,147,575,144,575,141,573,136,571,133,568,132,566,133,563,135,562,137,561,141,557,141,557,136,560,135,561,134,562,132" alt="Southeastern Michigan - Detroit" title="Southeastern Michigan - Detroit" href="https://www.weather.gov/dtx/" target="_blank"/>
<area shape="poly" coords="574,157,576,157,574,160,574,157" alt="Southeastern Michigan - Detroit" title="Southeastern Michigan - Detroit" href="https://www.weather.gov/dtx/" target="_blank"/>
<area shape="poly" coords="572,167,569,169,572,168,572,167" alt="Southeastern Michigan - Detroit" title="Southeastern Michigan - Detroit" href="https://www.weather.gov/dtx/" target="_blank"/>

<area shape="poly" coords="595,157,590,162,588,162,579,171,577,169,573,168,571,170,574,172,575,171,576,169,578,171,580,174,585,171,589,171,596,163,602,159,607,155,610,154,608,150,605,153,602,154,599,155,595,157" alt="Northern Ohio" title="Northern Ohio" href="https://www.weather.gov/cle/" target="_blank"/>

<area shape="poly" coords="610,153,614,149,617,144,614,146,610,148,609,150,610,153" alt="Western New York - Buffalo" title="Western New York - Buffalo" href="https://www.weather.gov/buf/" target="_blank"/>
<area shape="poly" coords="612,133,618,129,626,127,638,124,640,121,642,115,642,119,646,123,643,124,639,129,634,130,625,131,618,133,615,135,612,133" alt="Western New York - Buffalo" title="Western New York - Buffalo" href="https://www.weather.gov/buf/" target="_blank"/>


<area alt="Northern Michigan" title="Northern Michigan" href="https://www.weather.gov/mqt/" coords="496,77,488,82,490,84,496,77" shape="poly" target="_blank"/>
<area alt="Point Conception To Guadalupe Island" title="Point Conception To Guadalupe Island" href="https://forecast.weather.gov/shmrn.php?mz=pzz085&amp;syn=pzz089" coords="76,270,23,265,27,287,36,305,47,318,57,325,63,329,65,337,69,358,130,372,120,334,120,328,117,320,117,310,112,300,97,291,97,289,94,288,87,287,79,279,77,275,76,270" shape="poly" target="_blank"/>
<area alt="Point Arena to Point Conception" title="Point Arena to Point Conception" href="https://forecast.weather.gov/shmrn.php?mz=pzz084&amp;syn=pzz089" coords="57,185,3,173,3,194,12,226,15,240,17,253,23,266,76,270,76,265,77,262,67,239,68,233,64,225,65,216,63,216,60,208,59,200,55,190,57,185" shape="poly" target="_blank"/>
<area alt="Point St. George to Point Arena" title="Point St. George to Point Arena" href="https://forecast.weather.gov/shmrn.php?mz=pzz083&amp;syn=pzz089" coords="64,139,12,121,11,129,4,143,2,173,57,185,58,178,54,168,55,159,59,151,64,145,64,139" shape="poly" target="_blank"/>
<area alt="Cape Lookout to Point St. George" title="Cape Lookout to Point St. George" href="https://forecast.weather.gov/shmrn.php?mz=pzz082&amp;syn=pzz080" coords="83,84,33,66,27,83,22,87,16,100,13,112,12,120,63,138,66,120,75,104,82,88,83,84" shape="poly" target="_blank"/>
<area alt="Cape Flattery to Cape Lookout" title="Cape Flattery to Cape Lookout" href="https://forecast.weather.gov/shmrn.php?mz=pzz081&amp;syn=pzz080" coords="91,32,41,14,36,32,34,66,83,85,86,69,89,62,87,48,87,41,91,32" shape="poly" target="_blank"/>
<area alt="Los Angeles, CA" title="Los Angeles, CA" href="https://www.wrh.noaa.gov/lox/" coords="88,249,68,243,77,261,75,271,76,276,86,286,96,289,99,294,100,291,103,290,105,293,104,296,112,300,119,299,119,297,114,296,113,292,109,293,107,291,109,289,105,282,92,281,93,278,105,278,105,282,110,290,111,293,114,292,118,292,119,298,127,297,122,290,119,290,119,285,117,284,114,284,109,279,107,276,102,273,94,271,92,268,92,266,95,262,94,259,91,257,93,254,91,254,90,251,88,249" shape="poly" target="_blank"/>
<area alt="San Diego, CA" title="San Diego, CA" href="https://www.wrh.noaa.gov/sgx/" coords="127,296,117,299,117,304,114,306,117,310,131,311,130,301,127,296" shape="poly" target="_blank"/>
<area alt="San Francisco Bay Area/Monterey, CA" title="San Francisco Bay Area/Monterey, CA" href="https://www.wrh.noaa.gov/mtr/" coords="57,185,55,190,60,203,62,215,69,244,89,249,85,242,85,239,83,238,84,232,87,231,87,227,84,226,80,221,81,219,80,216,80,214,85,215,84,210,81,210,79,209,78,206,77,199,73,193,72,189,57,185" shape="poly" target="_blank"/>
<area alt="Eureka, CA" title="Eureka, CA" href="https://www.wrh.noaa.gov/eka/" coords="64,139,62,141,63,145,55,158,54,167,58,176,56,184,72,189,73,183,75,180,74,173,70,165,75,158,80,150,79,143,64,139" shape="poly" target="_blank"/>
<area alt="Medford, OR" title="Medford, OR" href="https://www.wrh.noaa.gov/mfr/" coords="91,110,75,104,65,118,64,139,79,144,80,139,79,135,81,129,80,125,91,110" shape="poly" target="_blank"/>
<area alt="Portland, OR" title="Portland, OR" href="https://www.wrh.noaa.gov/pqr/" coords="104,66,88,61,85,75,83,83,82,88,75,104,91,109,97,93,101,83,103,74,104,66" shape="poly" target="_blank"/>
<area alt="Seattle, WA" title="Seattle, WA" href="https://www.wrh.noaa.gov/sew/" coords="128,35,122,33,119,42,91,31,89,35,87,49,88,62,104,66,104,42,106,39,111,44,118,47,121,47,125,48,126,44,122,43,122,40,127,38,128,35" shape="poly" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="115,302, 3" shape="circle" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="116,294, 3" shape="circle" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="109,291, 2" shape="circle" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="102,293, 3" shape="circle" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="92,277,105,282" shape="rect" target="_blank"/>
<area alt="Los Angeles Area" title="Los Angeles Area" href="https://www.wrh.noaa.gov/lox/" coords="102,251,89,247,90,251,90,253,92,254,92,258,95,260,93,266,93,271,101,273,108,276,109,279,114,284,118,284,118,289,122,290,124,288,127,288,130,285,132,274,113,271,108,267,110,264,108,261,106,261,105,257,102,251" shape="poly" target="_blank"/>
<area alt="South Central California" title="South Central California" href="https://www.wrh.noaa.gov/hnx/" coords="115,216,115,220,108,220,96,226,95,228,94,231,100,238,99,241,98,244,103,251,104,257,106,261,107,261,109,264,108,267,114,271,132,275,136,259,131,258,131,236,128,234,128,229,124,223,123,217,115,216" shape="poly" target="_blank"/>
<area alt="San Francisco Area" title="San Francisco Area" href="https://www.wrh.noaa.gov/mtr/" coords="81,193,74,192,77,199,77,206,79,209,82,214,80,216,82,218,80,222,83,227,86,227,86,233,83,232,83,238,88,248,103,251,103,249,98,245,98,241,101,239,95,231,94,228,96,226,94,226,92,224,94,220,92,218,95,210,88,207,88,205,90,205,90,201,89,196,88,196,86,198,81,193" shape="poly" target="_blank"/>
<area alt="Western Nevada" title="Western Nevada" href="https://www.wrh.noaa.gov/rev/" coords="138,156,129,153,125,158,126,165,111,163,108,173,113,181,111,188,114,188,115,202,119,209,120,215,123,217,124,224,128,230,140,232,137,228,134,223,139,219,145,216,139,207,140,206,145,206,146,202,151,199,152,192,151,191,158,182,153,180,152,178,134,172,138,156" shape="poly" target="_blank"/>
<area alt="North Central California" title="North Central California" href="https://www.wrh.noaa.gov/sto/" coords="111,163,97,159,92,167,87,170,86,177,85,182,82,183,82,188,81,188,80,191,81,191,82,193,84,198,87,198,87,196,89,196,91,201,89,205,86,208,95,211,93,218,94,222,92,223,94,226,96,226,99,224,108,222,109,219,115,220,116,215,120,215,119,209,115,203,115,192,112,188,112,181,111,178,110,174,108,171,111,163" shape="poly" target="_blank"/>
<area alt="Northwest California Coast" title="Northwest California Coast" href="https://www.wrh.noaa.gov/eka/" coords="81,140,79,144,80,146,78,153,76,157,71,162,71,167,74,170,74,174,74,181,72,186,72,191,75,193,82,194,81,191,80,188,82,187,82,182,85,182,87,169,91,167,98,159,98,156,92,158,92,159,89,159,89,158,87,156,86,151,84,152,84,148,85,148,86,145,89,144,88,142,81,140" shape="poly" target="_blank"/>
<area alt="Southwest Oregon and Northern California" title="Southwest Oregon and Northern California" href="https://www.wrh.noaa.gov/mfr/" coords="137,129,113,122,110,125,105,123,104,121,101,119,102,116,99,115,96,112,89,112,85,119,81,125,80,128,81,130,79,132,80,140,88,143,86,145,84,148,85,152,86,152,87,156,89,158,90,160,91,159,91,158,98,156,98,160,126,166,126,155,128,154,138,156,141,144,133,142,137,129" shape="poly" target="_blank"/>
<area alt="Northeast Oregon and Southeast Washington" title="Northeast Oregon and Southeast Washington" href="https://www.wrh.noaa.gov/pdt/" coords="140,62,136,65,135,70,133,71,132,77,130,82,129,86,128,86,126,89,128,91,126,97,123,98,119,109,118,115,113,123,137,129,140,124,149,126,158,126,159,122,155,122,159,118,157,116,157,114,159,114,162,111,167,113,170,111,178,114,182,107,184,106,183,105,182,102,180,99,172,97,174,92,172,89,171,87,168,86,168,84,158,80,148,80,150,71,144,67,140,62" shape="poly" target="_blank"/>
<area alt="Northwest Oregon" title="Northwest Oregon" href="https://www.wrh.noaa.gov/pqr/" coords="105,68,98,91,90,112,96,111,99,115,101,115,100,119,104,121,105,123,111,125,113,122,115,118,118,114,119,109,122,98,126,97,129,91,126,89,128,86,130,86,131,79,111,75,112,67,105,68" shape="poly" target="_blank"/>
<area alt="Northwest Washington" title="Northwest Washington" href="https://www.wrh.noaa.gov/sew/" coords="128,35,125,49,117,46,106,38,105,49,105,61,107,64,105,66,112,67,110,74,132,80,133,72,135,68,135,65,141,62,141,56,144,54,143,49,149,48,149,41,128,35" shape="poly" target="_blank"/>
<area alt="Eastern Washington and Northern Idaho" title="Eastern Washington and Northern Idaho" href="https://www.wrh.noaa.gov/otx/" coords="150,41,148,48,144,49,144,55,141,56,140,64,150,71,148,80,159,82,167,84,167,87,171,87,173,92,171,96,179,98,181,102,182,99,185,99,185,97,189,96,189,94,187,93,186,90,188,90,189,85,205,87,201,82,198,78,198,74,196,70,199,53,150,41" shape="poly" target="_blank"/>
<area alt="Southern Nevada, Southeastern California and Northwestern Arizona - Las Vegas" title="Southern Nevada, Southeastern California and Northwestern Arizona - Las Vegas" href="https://www.wrh.noaa.gov/vef/" coords="127,230,128,235,130,236,131,247,131,258,135,259,132,274,147,278,147,284,144,289,151,290,152,291,171,295,178,292,184,295,185,293,188,294,193,264,202,262,204,259,203,255,205,253,205,251,186,248,190,221,184,219,179,219,178,227,176,229,164,227,152,225,149,223,144,216,134,223,137,227,137,229,140,232,127,230" shape="poly" target="_blank"/>
<area alt="Southwestern California - San Diego" title="Southwestern California - San Diego" href="https://www.wrh.noaa.gov/sgx/" coords="147,279,132,274,129,285,128,288,124,287,122,290,128,296,131,302,131,313,145,313,148,299,151,299,152,296,148,293,146,292,145,288,148,284,147,279" shape="poly" target="_blank"/>
<area alt="Central Arizona and California Deserts" title="Central Arizona and California Deserts" href="https://www.wrh.noaa.gov/psr/" coords="228,308,223,306,220,309,212,302,203,300,201,302,192,299,188,299,187,294,185,292,184,294,178,292,174,294,164,294,161,291,152,292,151,290,145,289,145,292,149,293,150,295,152,296,150,299,149,299,145,313,164,315,162,319,182,331,182,322,198,325,200,322,207,322,217,316,218,320,222,318,225,318,225,314,232,313,228,308" shape="poly" target="_blank"/>
<area alt="Southeast Arizona" title="Southeast Arizona" href="https://www.wrh.noaa.gov/twc/" coords="244,311,241,309,234,313,225,314,225,318,222,317,220,319,219,319,218,315,206,323,199,322,198,324,183,322,181,331,207,344,219,348,239,349,244,311" shape="poly" target="_blank"/>
<area alt="Northern Arizona" title="Northern Arizona" href="https://www.wrh.noaa.gov/fgz/" coords="251,258,206,252,204,255,203,259,201,263,192,265,188,298,201,303,203,301,213,303,220,310,224,307,228,308,234,313,240,310,245,310,251,258" shape="poly" target="_blank"/>
<area alt="Utah" title="Utah" href="https://www.wrh.noaa.gov/slc/" coords="236,174,199,169,186,249,228,255,232,249,233,246,237,242,237,241,242,239,240,223,244,218,247,182,235,181,236,174" shape="poly" target="_blank"/>
<area alt="Northern and Northeastern Nevada" title="Northern and Northeastern Nevada" href="https://www.wrh.noaa.gov/lkn/" coords="138,156,134,172,152,179,152,181,157,182,151,191,151,200,147,202,145,205,139,207,148,224,176,230,179,219,190,221,200,168,138,156" shape="poly" target="_blank"/>
<area alt="Southwestern Idaho and Eastern Oregon" title="Southwestern Idaho and Eastern Oregon" href="https://www.wrh.noaa.gov/boi/" coords="200,123,201,120,201,116,186,113,185,115,183,112,179,111,178,113,162,110,159,114,157,114,159,119,155,122,159,122,157,126,139,123,133,142,140,144,137,156,198,168,199,162,201,162,204,161,203,157,201,155,197,154,198,149,200,148,199,147,198,143,198,139,195,137,193,125,196,123,200,123" shape="poly" target="_blank"/>
<area alt="Southeastern Idaho" title="Southeastern Idaho" href="https://www.wrh.noaa.gov/pih/" coords="199,123,194,124,195,137,197,139,198,142,200,148,198,149,197,154,201,155,203,157,204,161,198,162,197,169,236,175,242,134,240,132,239,129,238,130,236,131,236,133,228,131,226,133,223,132,220,136,214,135,215,131,210,130,206,123,204,124,202,127,199,123" shape="poly" target="_blank"/>
<area alt="Western Montana and Central Idaho" title="Western Montana and Central Idaho" href="https://www.wrh.noaa.gov/mso/" coords="220,57,199,53,196,69,198,76,198,78,204,88,190,84,188,90,186,90,189,94,189,97,184,97,185,99,181,99,181,102,183,106,178,112,184,112,185,115,186,114,202,116,199,123,203,127,206,123,210,130,214,131,214,135,221,135,218,125,215,123,215,119,212,110,217,107,223,109,227,113,230,111,228,103,233,100,231,97,231,94,228,93,229,89,226,87,227,78,228,76,230,76,230,74,222,59,220,60,220,57" shape="poly" target="_blank"/>
<area alt="Central Montana - Great Falls" title="Central Montana - Great Falls" href="https://www.wrh.noaa.gov/tfx/" coords="220,57,223,64,230,75,227,76,225,88,228,89,228,94,230,94,230,97,233,98,232,101,228,103,228,105,230,105,230,112,225,113,226,111,222,108,218,107,212,111,213,119,216,120,216,124,217,126,218,126,221,134,221,132,226,133,228,131,236,132,236,131,239,130,242,134,244,121,245,121,248,108,254,109,254,101,255,100,273,102,275,96,274,93,278,93,278,88,276,87,273,85,273,82,278,81,278,75,282,65,256,62,235,59,220,57" shape="poly" target="_blank"/>
<area alt="Northeastern Montana" title="Northeastern Montana" href="https://www.wrh.noaa.gov/ggw/" coords="327,69,281,66,280,73,279,75,279,81,273,82,273,85,276,87,278,88,278,93,273,93,273,95,274,99,273,101,282,103,282,101,302,103,303,101,307,103,309,108,314,109,317,107,324,108,327,69" shape="poly" target="_blank"/>
<area alt="Southeastern Montana" title="Southeastern Montana" href="https://www.wrh.noaa.gov/byz/" coords="256,100,254,108,248,108,247,116,246,120,243,121,244,126,279,131,279,135,285,138,299,140,301,133,323,133,325,108,322,107,318,107,314,108,309,107,307,103,303,102,299,103,283,101,283,102,267,100,261,101,256,100" shape="poly" target="_blank"/>
<area alt="Western Wyoming" title="Western Wyoming" href="https://www.weather.gov/riw/" coords="299,140,285,138,280,135,279,131,242,126,235,180,247,183,245,191,259,193,272,195,272,185,279,185,279,175,280,173,296,174,298,157,299,140" shape="poly" target="_blank"/>
<area alt="Southeastern Wyoming and Western Nebraska" title="Southeastern Wyoming and Western Nebraska" href="https://www.weather.gov/cys/" coords="337,168,321,167,322,159,297,157,297,173,280,173,279,175,278,185,272,185,271,194,285,196,337,200,337,168" shape="poly" target="_blank"/>
<area alt="Northeastern Colorado" title="Northeastern Colorado" href="https://www.weather.gov/bou/" coords="343,199,286,197,286,199,287,199,286,201,287,215,291,220,291,229,293,231,294,234,301,236,302,228,317,229,318,239,329,239,329,227,329,223,334,222,334,209,343,210,343,199" shape="poly" target="_blank"/>
<area alt="Western Colorado and Eastern Utah" title="Western Colorado and Eastern Utah" href="https://www.weather.gov/gjt/" coords="285,197,246,193,244,213,243,218,241,223,241,239,238,241,238,242,235,243,229,250,231,252,228,255,251,258,284,262,281,255,277,255,276,246,278,246,279,237,288,239,288,232,285,228,287,224,290,223,292,219,288,217,288,214,286,214,287,201,288,201,288,199,285,197" shape="poly" target="_blank"/>
<area alt="Southeastern Colorado" title="Southeastern Colorado" href="https://www.weather.gov/pub/" coords="341,265,342,239,318,240,317,230,301,228,302,235,297,235,294,234,293,230,291,230,290,224,287,225,285,227,288,232,288,239,280,238,279,246,276,246,276,254,281,255,284,262,311,264,341,265" shape="poly" target="_blank"/>
<area alt="Northern and Central New Mexico" title="Northern and Central New Mexico" href="https://www.weather.gov/abq/" coords="251,258,244,320,257,322,258,317,281,319,281,321,289,321,289,322,294,323,294,336,301,338,301,329,315,329,317,319,326,321,327,303,328,301,330,265,303,264,274,261,251,258" shape="poly" target="_blank"/>
<area alt="Southern New Mexico and extreme Western Texas - El Paso" title="Southern New Mexico and extreme Western Texas - El Paso" href="https://www.weather.gov/epz/" coords="244,319,240,350,251,351,252,344,261,346,272,346,278,347,278,350,298,368,300,337,293,335,294,328,294,323,289,323,289,321,281,320,280,318,259,317,257,322,255,321,244,319" shape="poly" target="_blank"/>
<area alt="Texas and Oklahoma" title="Texas and Oklahoma" href="https://www.weather.gov/ama/" coords="330,265,327,301,367,303,368,266,330,265" shape="poly" target="_blank"/>
<area alt="Lubbock and South Plains Texas" title="Lubbock and South Plains Texas" href="https://www.weather.gov/lub/" coords="326,302,325,331,367,331,367,302,326,302" shape="poly" target="_blank"/>
<area alt="Western Texas and Southeastern New Mexico" title="Western Texas and Southeastern New Mexico" href="https://www.weather.gov/maf/" coords="342,383,341,376,343,376,344,371,342,369,341,366,339,364,335,362,349,362,350,345,359,345,358,331,326,331,326,320,318,321,317,319,316,329,306,330,301,329,299,344,298,371,299,374,300,380,305,387,318,396,321,395,321,393,325,391,327,386,332,383,333,381,335,381,342,383" shape="poly" target="_blank"/>
<area alt="Western South Dakota and Northeastern Wyoming" title="Western South Dakota and Northeastern Wyoming" href="https://www.weather.gov/unr/" coords="376,168,374,157,364,156,358,154,357,149,355,147,357,136,353,135,352,128,347,127,347,119,324,118,324,133,300,132,299,156,321,158,322,166,349,169,376,168" shape="poly" target="_blank"/>
<area alt="Northwestern Kansas and East Central Colorado - Goodland" title="Northwestern Kansas and East Central Colorado - Goodland" href="https://www.weather.gov/gld/" coords="367,211,335,208,334,216,334,222,330,223,328,238,342,239,343,244,355,245,355,237,366,237,367,231,374,230,374,216,366,217,367,211" shape="poly" target="_blank"/>
<area alt="Central Nebraska - North Platte" title="Central Nebraska - North Platte" href="https://www.weather.gov/lbf/" coords="390,170,387,169,336,168,337,199,343,200,344,210,368,212,367,210,370,209,369,205,366,206,366,199,378,199,380,195,378,194,379,189,390,188,390,170" shape="poly" target="_blank"/>
<area alt="North Central Kansas and South Central Nebraska" title="North Central Kansas and South Central Nebraska" href="https://www.weather.gov/gid/" coords="390,188,378,188,380,197,378,199,367,200,366,206,369,206,369,209,368,210,366,212,367,216,373,217,374,230,381,232,387,231,387,230,395,230,395,217,402,216,401,195,397,195,397,193,390,193,390,188" shape="poly" target="_blank"/>
<area alt="Southeastern South Dakota, Southwestern Minnesota, and Northwestern Iowa" title="Southeastern South Dakota, Southwestern Minnesota, and Northwestern Iowa" href="https://www.weather.gov/fsd/" coords="410,142,394,144,394,141,384,142,384,148,383,148,382,154,378,154,376,157,377,157,377,160,375,160,375,168,386,168,392,171,394,172,394,170,402,170,405,172,405,179,414,180,425,180,425,174,431,174,429,158,430,151,429,148,426,148,421,148,422,143,419,140,417,142,410,142" shape="poly" target="_blank"/>
<area alt="Northern and Northeastern South Dakota" title="Northern and Northeastern South Dakota" href="https://www.weather.gov/abr/" coords="347,120,347,127,352,127,353,135,356,135,355,149,358,149,358,154,363,157,374,157,374,159,377,159,377,157,376,156,377,154,382,153,382,149,384,148,385,142,395,143,411,142,410,130,415,132,415,128,412,126,412,118,409,118,408,120,347,120" shape="poly" target="_blank"/>
<area alt="Western North Dakota" title="Western North Dakota" href="https://www.weather.gov/bis/" coords="326,69,324,118,392,120,392,109,387,109,388,98,386,93,378,94,378,90,372,89,372,80,376,80,375,71,326,69" shape="poly" target="_blank"/>
<area alt="Eastern Nebraska and Southwestern Iowa - Omaha Valley" title="Eastern Nebraska and Southwestern Iowa - Omaha Valley" href="https://www.weather.gov/oax/" coords="389,170,391,192,397,193,398,195,401,195,401,216,427,216,421,206,431,206,431,197,428,196,429,191,428,186,421,186,421,181,414,181,406,179,405,172,402,171,395,171,395,172,389,170" shape="poly" target="_blank"/>
<area alt="Northeastern Kansas" title="Northeastern Kansas" href="https://www.weather.gov/top/" coords="427,216,394,217,396,234,402,234,403,239,408,241,415,241,416,247,420,246,421,249,432,247,431,232,429,232,430,226,425,225,425,222,428,221,427,216" shape="poly" target="_blank"/>
<area alt="Southeastern Kansas" title="Southeastern Kansas" href="https://www.weather.gov/ict/" coords="395,229,388,229,388,231,382,232,380,236,382,246,388,246,389,266,432,265,431,247,421,249,420,246,416,247,415,241,407,241,407,239,403,240,402,234,395,234,395,229" shape="poly" target="_blank"/>
<area alt="Southwestern Kansas - Dodge City" title="Southwestern Kansas - Dodge City" href="https://www.weather.gov/ddc/" coords="367,230,367,237,355,238,355,244,342,245,342,266,390,265,389,259,388,245,381,245,380,238,382,232,376,231,367,230" shape="poly" target="_blank"/>
<area alt="Central Oklahoma" title="Central Oklahoma" href="https://www.weather.gov/oun/" coords="410,265,368,266,366,314,367,324,395,324,395,317,400,315,403,317,410,314,418,318,423,316,424,311,426,311,426,304,421,303,421,292,416,292,414,291,412,278,408,276,407,271,411,269,410,265" shape="poly" target="_blank"/>
<area alt="Eastern Oklahoma and Northwestern Arkansas" title="Eastern Oklahoma and Northwestern Arkansas" href="https://www.weather.gov/tsa/" coords="439,264,410,265,411,269,407,272,408,276,412,278,414,291,421,292,421,302,425,305,426,311,424,311,424,316,431,316,433,314,433,309,436,309,434,305,442,304,442,297,446,298,446,294,452,289,451,283,454,283,456,277,457,271,439,272,439,264" shape="poly" target="_blank"/>
<area alt="Dallas and Fort Worth" title="Dallas and Fort Worth" href="https://www.weather.gov/fwd/" coords="382,325,383,331,380,331,380,339,379,346,382,346,386,352,382,356,386,358,390,363,397,363,406,367,407,372,413,368,417,368,419,364,428,361,427,355,434,352,431,349,431,339,429,339,428,331,433,330,431,315,418,318,413,316,410,315,407,317,406,316,403,317,400,315,399,316,396,316,396,323,382,325" shape="poly" target="_blank"/>
<area alt="Central Texas - San Angelo" title="Central Texas - San Angelo" href="https://www.weather.gov/sjt/" coords="367,325,367,331,359,332,359,345,349,345,349,361,334,362,337,364,341,365,343,369,341,375,376,375,377,371,381,372,382,366,389,365,387,358,382,356,386,352,383,346,379,346,380,339,380,331,382,331,382,324,367,325" shape="poly" target="_blank"/>
<area alt="Austin and San Antonio Texas" title="Austin and San Antonio Texas" href="https://www.weather.gov/ewx/" coords="376,376,341,376,342,383,347,384,352,389,360,402,364,411,376,411,375,403,391,403,394,400,399,403,403,399,407,399,411,395,413,397,416,390,412,385,417,379,413,377,414,373,411,371,408,372,407,368,397,364,390,363,390,365,383,365,382,368,382,371,378,372,376,376" shape="poly" target="_blank"/>
<area alt="Corpus Christi, Victoria, and Laredo Texas" title="Corpus Christi, Victoria, and Laredo Texas" href="https://www.weather.gov/crp/" coords="366,411,368,417,373,419,374,426,403,425,409,416,419,407,417,402,412,395,410,394,407,399,404,398,399,402,395,400,392,403,376,402,375,410,366,411" shape="poly" target="_blank"/>
<area alt="Southern Texas" title="Southern Texas" href="https://www.weather.gov/bro/" coords="404,425,374,426,375,430,378,435,380,440,385,440,394,446,399,446,406,449,407,444,404,437,404,432,404,425" shape="poly" target="_blank"/>
<area alt="Texas - Houston/Galveston" title="Texas - Houston/Galveston" href="https://www.weather.gov/hgx/" coords="449,386,448,381,447,380,446,377,442,371,446,370,444,361,441,360,438,355,433,352,427,354,429,358,428,361,420,364,417,368,410,371,413,374,413,377,415,378,416,380,412,385,415,388,416,390,414,393,412,395,417,402,422,404,430,400,437,396,437,393,449,386" shape="poly" target="_blank"/>
<area alt="Southeast Texas and Southwest Louisiana" title="Southeast Texas and Southwest Louisiana" href="https://www.weather.gov/lch/" coords="485,356,477,352,472,354,469,352,459,357,459,359,444,362,445,370,442,371,444,377,446,377,447,381,448,381,448,386,457,383,468,381,478,385,484,378,494,385,496,380,496,378,494,377,493,375,487,371,484,366,483,361,486,359,485,356" shape="poly" target="_blank"/>
<area alt="Northern Louisiana and Eastern Texas - Shreveport" title="Northern Louisiana and Eastern Texas - Shreveport" href="https://www.weather.gov/shv/" coords="442,304,435,305,436,310,433,310,432,315,431,316,432,330,428,330,428,338,430,339,431,349,435,354,441,361,448,362,458,358,459,356,467,355,468,353,472,355,477,352,481,354,479,345,481,341,478,336,480,332,478,332,478,327,476,324,471,322,463,322,461,315,458,313,453,312,450,307,446,307,446,309,442,310,442,304" shape="poly" target="_blank"/>
<area alt="Arkansas" title="Arkansas" href="https://www.weather.gov/lzk/" coords="482,269,456,271,455,277,454,283,451,283,453,290,446,294,446,297,442,298,442,310,446,310,445,306,450,306,453,313,458,313,461,315,462,321,470,322,477,325,479,321,485,319,490,313,491,308,489,301,486,294,488,293,487,280,486,278,483,279,483,274,484,272,482,269" shape="poly" target="_blank"/>
<area alt="Southwestern Missouri" title="Southwestern Missouri" href="https://www.weather.gov/sgf/" coords="460,235,456,236,458,239,451,239,451,244,447,245,445,244,444,246,431,248,432,264,438,265,439,273,485,270,484,264,482,262,482,260,486,259,483,255,482,249,478,248,478,243,475,241,469,242,463,240,460,235" shape="poly" target="_blank"/>
<area alt="Northwestern Missouri" title="Northwestern Missouri" href="https://www.weather.gov/eax/" coords="463,203,422,207,427,216,428,222,425,222,424,225,429,226,430,233,431,233,430,248,440,248,444,246,446,243,447,245,451,243,452,238,458,239,456,235,462,236,463,231,462,230,465,225,465,215,463,203" shape="poly" target="_blank"/>
<area alt="Central Iowa" title="Central Iowa" href="https://www.weather.gov/dmx/" coords="451,157,429,159,430,174,425,175,426,180,421,180,422,185,428,186,430,190,428,196,431,197,431,207,465,203,466,197,463,195,461,191,464,189,462,177,465,175,464,168,463,167,452,168,452,160,451,157" shape="poly" target="_blank"/>
<area alt="Southern Minnesota" title="Southern Minnesota" href="https://www.weather.gov/mpx/" coords="477,124,477,121,460,123,459,120,456,123,452,122,449,122,448,117,449,115,443,113,441,113,441,116,434,115,429,112,424,112,426,116,419,116,419,122,412,123,414,128,414,132,411,130,410,142,421,141,422,143,421,148,429,149,430,158,451,157,450,147,456,146,458,142,463,141,463,139,473,139,476,136,474,125,477,124" shape="poly" target="_blank"/>
<area alt="Northeastern North Dakota and Northwestern Minnesota" title="Northeastern North Dakota and Northwestern Minnesota" href="https://www.weather.gov/fgf/" coords="430,75,428,71,426,63,422,63,423,69,375,71,376,80,373,81,372,89,378,89,378,93,386,94,387,98,387,109,392,110,393,120,408,120,409,119,412,119,412,123,419,122,419,116,426,116,424,113,428,112,430,96,432,94,432,78,430,75" shape="poly" target="_blank"/>
<area alt="Northeast Minnesota and Northern Wisconsin" title="Northeast Minnesota and Northern Wisconsin" href="https://www.weather.gov/dlh/" coords="484,81,480,81,478,79,472,81,470,79,464,82,457,78,454,81,448,75,442,75,440,77,438,77,437,75,430,74,432,76,432,94,429,96,428,112,433,112,433,116,440,116,440,113,449,115,447,118,449,121,455,123,459,121,459,123,476,121,477,125,484,124,485,112,484,112,480,106,473,106,475,99,467,103,458,106,467,94,472,89,479,85,484,81" shape="poly" target="_blank"/>
<area alt="Southwestern Wisconsin, Southeastern Minnesota, and Northeast Iowa" title="Southwestern Wisconsin, Southeastern Minnesota, and Northeast Iowa" href="https://www.weather.gov/arx/" coords="483,125,476,124,474,126,475,138,462,139,463,141,458,141,456,146,450,147,451,150,452,168,463,166,465,171,479,169,482,172,485,171,483,160,486,160,486,152,493,151,491,142,489,142,483,142,482,131,483,129,485,128,485,126,483,125" shape="poly" target="_blank"/>
<area alt="Eastern Iowa and Northwestern Illinois - Quad Cities" title="Eastern Iowa and Northwestern Illinois - Quad Cities" href="https://www.weather.gov/dvn/" coords="478,169,465,171,465,176,463,177,463,190,461,190,465,197,466,204,463,204,464,209,475,210,481,208,487,208,487,192,493,192,493,190,495,190,496,192,502,191,500,185,496,185,494,176,497,174,497,170,481,172,481,170,478,169" shape="poly" target="_blank"/>
<area alt="Eastern Missouri - West Central Illinois" title="Eastern Missouri - West Central Illinois" href="https://www.weather.gov/lsx/" coords="487,212,482,211,481,208,464,209,465,225,463,230,464,233,462,235,459,236,463,240,469,242,475,240,476,242,477,243,478,248,482,249,482,256,486,260,488,260,488,257,496,254,495,250,498,246,502,246,503,243,501,239,507,238,508,235,512,233,513,230,510,222,506,223,506,221,501,220,501,218,488,220,486,218,487,213,487,212" shape="poly" target="_blank"/>
<area alt="Western Tennessee, Eastern Arkansas and Northern Mississippi - Memphis" title="Western Tennessee, Eastern Arkansas and Northern Mississippi - Memphis" href="https://www.weather.gov/meg/" coords="525,264,501,270,499,266,494,268,481,270,484,272,483,279,486,279,488,294,487,295,490,307,494,308,495,310,497,308,501,313,505,310,511,310,512,312,515,312,518,309,521,309,522,312,529,310,528,298,527,291,526,289,529,288,529,280,527,276,525,276,523,272,525,270,525,267,526,266,525,264" shape="poly" target="_blank"/>
<area alt="Central Mississippi" title="Central Mississippi" href="https://www.weather.gov/jan/" coords="528,340,528,309,522,312,521,310,516,311,512,311,510,309,505,310,501,313,497,308,495,309,494,308,491,308,489,317,485,318,485,320,479,321,476,324,478,332,479,333,479,337,481,341,479,345,481,355,485,357,489,352,508,351,509,355,511,357,521,358,520,349,523,349,522,341,528,340" shape="poly" target="_blank"/>
<area alt="Southeastern Louisiana" title="Southeastern Louisiana" href="https://www.weather.gov/lix/" coords="533,366,532,358,528,358,522,361,520,362,517,356,511,357,508,351,491,352,484,360,485,366,489,372,493,375,494,377,496,377,495,382,493,387,501,389,510,389,515,384,522,389,526,388,525,385,515,380,522,372,518,372,515,375,514,372,524,366,533,366" shape="poly" target="_blank"/>
<area alt="Middle Tennessee" title="Middle Tennessee" href="https://www.weather.gov/ohx/" coords="524,262,525,267,523,272,524,275,527,276,528,288,545,286,544,283,550,280,558,280,561,278,559,275,562,274,563,271,569,271,571,267,567,264,568,261,569,257,524,262" shape="poly" target="_blank"/>
<area alt="Northern Alabama" title="Northern Alabama" href="https://www.weather.gov/hun/" coords="556,280,550,280,543,283,545,286,526,289,528,299,542,299,544,305,552,299,558,298,562,294,562,288,561,284,558,285,556,280" shape="poly" target="_blank"/>
<area alt="Central Alabama" title="Central Alabama" href="https://www.weather.gov/bmx/" coords="529,299,529,334,535,332,534,337,540,336,541,333,544,332,546,335,560,334,562,339,568,339,571,338,571,336,575,336,575,329,577,327,570,314,567,304,563,291,562,294,558,298,552,300,551,297,548,302,545,306,543,303,542,298,529,299" shape="poly" target="_blank"/>
<area alt="Mobile - Pensacola" title="Mobile - Pensacola" href="https://www.weather.gov/mob/" coords="560,359,560,350,563,349,562,339,560,334,552,335,548,335,544,332,542,332,541,336,535,338,535,332,529,334,528,340,522,341,523,348,521,348,522,357,518,357,520,361,522,361,528,358,531,359,532,366,535,365,535,367,541,366,550,364,560,359" shape="poly" target="_blank"/>
<area alt="West Central Florida" title="West Central Florida" href="https://www.weather.gov/tbw/" coords="628,373,621,374,620,371,621,369,620,365,613,365,612,372,616,372,619,377,619,390,621,396,638,416,642,414,643,410,640,404,645,402,646,399,648,398,644,394,644,390,640,388,640,386,634,383,631,383,628,373" shape="poly" target="_blank"/>
<area alt="East Central Florida" title="East Central Florida" href="https://www.weather.gov/mlb/" coords="640,365,635,366,634,364,632,366,633,372,628,372,630,382,635,383,640,386,641,388,645,390,645,394,649,399,653,398,655,402,662,399,656,390,651,384,650,376,640,365" shape="poly" target="_blank"/>
<area alt="Panhandle of Florida and Southwestern Georgia" title="Panhandle of Florida and Southwestern Georgia" href="https://www.weather.gov/tae/" coords="605,331,600,329,596,331,587,331,580,333,575,331,575,335,572,337,571,339,562,340,561,344,562,350,560,351,561,361,568,362,574,365,579,370,585,368,589,364,592,361,596,359,603,363,603,364,612,370,612,361,609,357,607,358,605,351,608,343,607,339,605,337,605,331" shape="poly" target="_blank"/>
<area alt="Northeast Florida and Southeast Georgia" title="Northeast Florida and Southeast Georgia" href="https://www.weather.gov/jax/" coords="628,333,621,328,616,325,611,325,605,330,604,337,608,343,605,351,606,357,610,359,612,361,612,365,620,366,621,369,619,371,621,374,632,372,632,366,634,364,637,366,640,365,636,357,631,347,628,339,628,333" shape="poly" target="_blank"/>
<area alt="Northern and Central Georgia" title="Northern and Central Georgia" href="https://www.weather.gov/ffc/" coords="603,293,600,295,596,290,593,291,591,288,588,287,587,279,560,284,567,304,571,318,578,327,575,329,576,332,579,333,591,331,603,329,605,331,610,326,615,325,615,321,614,318,615,313,613,311,611,311,612,308,610,304,607,303,604,298,607,298,603,293" shape="poly" target="_blank"/>
<area alt="Low Country of South Carolina and Georgia" title="Low Country of South Carolina and Georgia" href="https://www.weather.gov/chs/" coords="650,296,639,294,637,298,633,298,629,303,619,304,619,308,613,309,613,311,615,314,613,319,615,322,615,325,623,329,630,334,630,325,634,318,644,307,650,296" shape="poly" target="_blank"/>
<area alt="Northeastern South Carolina and Southeastern North Carolina - Wilmington" title="Northeastern South Carolina and Southeastern North Carolina - Wilmington" href="https://www.weather.gov/ilm/" coords="669,271,665,267,659,271,655,268,648,268,647,270,644,270,643,274,640,273,636,273,638,275,638,277,634,281,640,288,640,295,645,296,652,297,653,291,655,286,660,283,665,282,666,276,669,271" shape="poly" target="_blank"/>
<area alt="Central South Carolina and CSRA" title="Central South Carolina and CSRA" href="https://www.weather.gov/cae/" coords="637,273,624,276,624,280,614,284,612,292,605,292,602,294,606,298,605,299,607,304,610,304,611,309,610,311,614,312,614,310,619,308,620,304,628,304,633,299,637,299,640,293,640,287,634,281,639,278,638,275,637,273" shape="poly" target="_blank"/>
<area alt="Western North Carolina and Northwest South Carolina" title="Western North Carolina and Northwest South Carolina" href="https://www.weather.gov/gsp/" coords="624,254,616,258,605,257,604,259,600,259,599,261,596,260,596,263,594,262,593,265,587,271,583,271,580,274,580,277,586,276,589,280,588,288,593,291,596,291,601,295,604,292,612,293,613,286,615,282,625,279,625,276,631,273,630,269,628,269,630,262,626,259,626,255,624,254" shape="poly" target="_blank"/>
<area alt="Eastern Tennessee" title="Eastern Tennessee" href="https://www.weather.gov/mrx/" coords="594,243,590,249,589,249,588,251,581,255,568,257,569,260,566,264,571,268,569,271,563,271,560,276,561,278,556,281,558,285,588,280,585,276,581,277,581,274,584,271,587,271,592,266,594,266,594,263,596,262,596,260,599,260,600,259,605,259,608,253,608,247,605,245,605,243,603,241,601,242,600,245,596,245,594,243" shape="poly" target="_blank"/>
<area alt="Eastern Kentucky" title="Eastern Kentucky" href="https://www.weather.gov/jkl/" coords="572,225,574,227,572,230,573,233,573,240,564,249,565,251,563,254,563,257,580,255,588,251,588,249,590,248,593,243,601,235,593,230,586,230,588,228,582,227,577,223,572,225" shape="poly" target="_blank"/>
<area alt="Central Kentucky" title="Central Kentucky" href="https://www.weather.gov/lmk/" coords="553,220,551,223,548,225,543,225,542,227,538,227,538,230,534,231,533,236,537,235,539,238,535,240,539,242,536,246,536,249,538,250,538,254,536,254,537,260,563,257,563,253,566,250,565,249,567,244,574,239,573,229,575,227,570,226,569,224,565,225,563,228,560,227,560,226,556,226,555,224,557,224,555,220,553,220" shape="poly" target="_blank"/>
<area alt="Southern Illinois and Indiana, Southeastern Missouri and Western Kentucky" title="Southern Illinois and Indiana, Southeastern Missouri and Western Kentucky" href="https://www.weather.gov/pah/" coords="527,230,515,231,507,235,507,239,502,240,502,246,498,245,495,250,497,254,489,257,489,260,483,259,482,263,484,264,484,270,493,269,499,265,501,270,506,267,525,264,525,262,538,260,537,254,539,254,539,251,536,248,538,242,536,240,539,238,537,235,536,236,534,236,534,231" shape="poly" target="_blank"/>
<area alt="Central and East Central Illinois" title="Central and East Central Illinois" href="https://www.weather.gov/ilx/" coords="503,191,494,190,493,193,486,193,487,207,481,207,481,211,488,212,486,218,487,220,500,218,501,220,505,221,505,223,509,221,513,232,526,230,527,226,525,222,525,211,523,200,511,203,512,199,509,199,509,197,506,197,505,195,503,195,503,191" shape="poly" target="_blank"/>
<area alt="Central Indiana" title="Central Indiana" href="https://www.weather.gov/ind/" coords="533,196,523,200,526,218,524,218,524,223,527,227,527,231,536,231,538,229,542,226,543,224,549,224,553,220,551,217,553,213,552,211,554,203,558,201,557,197,544,198,544,195,538,195,537,193,535,195,535,193,532,194,533,196" shape="poly" target="_blank"/>
<area alt="Northeastern Illinois and Northwestern Indiana - Chicago" title="Northeastern Illinois and Northwestern Indiana - Chicago" href="https://www.weather.gov/lot/" coords="515,167,497,170,497,174,493,176,495,184,500,185,502,191,506,198,509,196,510,198,512,199,512,203,528,199,528,193,530,192,529,183,527,179,526,181,521,180,516,171,515,167" shape="poly" target="_blank"/>
<area alt="Southern and Southeastern Wisconsin" title="Southern and Southeastern Wisconsin" href="https://www.weather.gov/mkx/" coords="513,145,491,147,493,152,485,153,486,159,484,160,484,170,515,168,516,163,513,156,515,149,513,145" shape="poly" target="_blank"/>
<area alt="East Central Wisconsin - Green Bay" title="East Central Wisconsin - Green Bay" href="https://www.weather.gov/grb/" coords="513,125,510,125,511,121,509,121,509,118,508,116,505,113,498,112,489,109,483,109,485,115,484,126,485,129,481,130,482,134,483,143,491,141,492,147,513,145,516,140,514,135,521,120,516,126,515,129,511,135,509,135,508,131,512,127,513,125" shape="poly" target="_blank"/>
<area alt="Northern Michigan" title="Northern Michigan" href="https://www.weather.gov/mqt/" coords="537,94,532,96,527,97,518,103,512,103,506,97,503,97,500,98,501,93,505,88,500,89,495,93,492,97,486,100,483,101,482,104,479,106,482,109,498,113,504,113,507,115,509,116,509,119,508,120,509,122,512,125,515,118,517,115,519,114,520,112,522,111,523,114,525,112,527,109,531,109,529,105,530,104,537,102,537,98,537,94" shape="poly" target="_blank"/>
<area alt="Northeast Michigan - Gaylord" title="Northeast Michigan - Gaylord" href="https://www.weather.gov/apx/" coords="537,99,536,103,529,104,531,109,534,107,540,107,542,109,557,104,549,103,547,97,537,99" shape="poly" target="_blank"/>
<area alt="Northeast Michigan - Gaylord" title="Northeast Michigan - Gaylord" href="https://www.weather.gov/apx/" coords="540,110,540,115,537,117,537,126,535,120,531,125,529,130,528,138,548,135,550,141,556,140,554,137,558,137,560,135,561,132,562,131,563,123,560,119,563,117,557,113,548,111,544,108,540,110" shape="poly" target="_blank"/>
<area alt="Southeastern Michigan - Detroit" title="Southeastern Michigan - Detroit" href="https://www.weather.gov/dtx/" coords="567,134,563,138,561,142,558,140,558,138,555,136,555,139,549,141,551,147,552,146,555,156,558,157,561,167,557,169,558,174,565,173,569,171,571,168,572,162,574,159,574,156,577,156,577,148,574,140,574,137,571,134,567,134" shape="poly" target="_blank"/>
<area alt="Southwestern Michigan" title="Southwestern Michigan" href="https://www.weather.gov/grr/" coords="548,135,527,139,528,147,532,153,533,168,536,171,561,167,558,156,556,157,553,145,551,147,548,135" shape="poly" target="_blank"/>
<area alt="Northern Indiana and Northwestern Ohio" title="Northern Indiana and Northwestern Ohio" href="https://www.weather.gov/iwx/" coords="557,169,536,172,533,169,531,172,531,175,527,180,529,191,528,193,529,198,532,196,532,194,538,196,542,194,544,197,557,198,557,191,565,190,568,189,568,186,565,173,560,174,557,169" shape="poly" target="_blank"/>
<area alt="Southwestern Ohio Northern Kentucky" title="Southwestern Ohio Northern Kentucky" href="https://www.weather.gov/iln/" coords="572,187,568,187,567,189,564,191,559,190,557,191,556,197,558,197,558,202,553,203,552,211,553,215,552,217,553,220,555,220,557,223,554,224,559,226,562,229,565,224,574,226,576,223,583,227,585,218,587,220,589,216,586,214,586,208,591,207,592,204,589,203,588,200,586,198,591,197,589,193,583,193,576,192,572,187" shape="poly" target="_blank"/>
<area alt="West Virginia" title="West Virginia" href="https://www.weather.gov/rlx/" coords="619,200,591,200,590,197,587,199,589,203,591,204,590,206,586,207,586,215,588,217,587,220,584,218,582,227,587,229,586,231,595,232,600,236,594,243,596,245,600,244,607,239,613,228,614,224,618,219,619,222,624,222,626,215,627,206,622,205,621,201,619,200" shape="poly" target="_blank"/>
<area alt="Western Virginia, Southeast West Virginia, and Northwest North Carolina" title="Western Virginia, Southeast West Virginia, and Northwest North Carolina" href="https://www.weather.gov/rnk/" coords="643,222,640,226,630,219,624,219,624,221,619,222,618,220,613,224,613,230,607,240,605,239,603,242,607,248,607,253,604,257,616,258,624,254,625,251,642,248,641,243,645,241,648,235,646,232,643,232,644,228,647,222,643,222" shape="poly" target="_blank"/>
<area alt="Central North Carolina - Raleigh" title="Central North Carolina - Raleigh" href="https://www.weather.gov/rah/" coords="666,244,661,241,660,239,641,243,641,247,624,252,626,256,626,259,630,262,627,269,631,269,632,274,640,273,643,275,647,269,655,268,659,272,658,261,662,261,660,254,664,251,666,244" shape="poly" target="_blank"/>
<area alt="Eastern North Carolina" title="Eastern North Carolina" href="https://www.weather.gov/mhx/" coords="675,243,672,248,666,244,664,246,666,248,664,252,660,254,663,261,658,262,660,269,664,267,669,271,675,266,682,263,684,257,678,260,678,253,683,252,686,248,687,248,688,245,685,242,681,242,675,243" shape="poly" target="_blank"/>
<area alt="Eastern Virginia, Southern Maryland and Northeast North Carolina" title="Eastern Virginia, Southern Maryland and Northeast North Carolina" href="https://www.weather.gov/akq/" coords="670,212,660,210,656,211,653,216,646,214,644,221,648,221,646,228,644,229,644,231,646,232,648,235,645,242,656,239,660,240,660,242,663,242,668,247,673,247,683,237,679,228,673,228,670,212" shape="poly" target="_blank"/>
<area alt="Washington D.C., Central Maryland, Northern Virginia, Eastern West Virginia" title="Washington D.C., Central Maryland, Northern Virginia, Eastern West Virginia" href="https://www.weather.gov/lwx/" coords="663,184,630,192,630,196,626,202,629,206,626,206,625,218,630,219,640,227,646,218,646,215,653,215,660,209,669,209,665,203,662,192,667,187,663,184" shape="poly" target="_blank"/>
<area alt="Western Pennsylvania, East Central Ohio and Extreme Western Maryland" title="Western Pennsylvania, East Central Ohio and Extreme Western Maryland" href="https://www.weather.gov/pbz/" coords="588,190,591,199,600,202,619,200,623,206,628,206,628,202,626,202,630,196,631,192,625,194,625,189,629,178,626,170,627,168,624,165,623,162,613,164,612,167,605,169,608,177,600,180,601,182,595,185,595,188,588,190" shape="poly" target="_blank"/>
<area alt="Northern Ohio" title="Northern Ohio" href="https://www.weather.gov/cle/" coords="568,188,571,186,574,191,583,194,590,192,588,190,595,188,594,184,601,182,601,179,608,177,605,168,611,167,616,163,614,158,610,155,593,168,592,171,587,172,583,175,577,175,569,171,564,172,568,188" shape="poly" target="_blank"/>
<area alt="Central Pennsylvania" title="Central Pennsylvania" href="https://www.weather.gov/ctp/" coords="625,194,666,183,665,176,658,173,664,167,662,165,658,165,656,160,655,156,647,156,645,151,614,158,615,163,623,162,624,164,623,167,628,168,626,171,628,174,628,179,625,189,625,194" shape="poly" target="_blank"/>
<area alt="New Jersey, Delaware, and Southeastern Pennsylvania" title="New Jersey, Delaware, and Southeastern Pennsylvania" href="https://www.weather.gov/phi/" coords="674,153,673,158,671,158,670,155,666,157,664,160,662,165,664,168,658,173,665,176,665,185,666,192,669,200,669,205,673,206,678,211,676,218,678,223,681,212,683,206,684,198,681,195,677,192,676,187,682,187,683,192,685,190,685,185,689,177,688,167,683,165,683,164,682,163,681,158,677,153,674,153" shape="poly" target="_blank"/>
<area alt="New York City and Surrounding Areas" title="New York City and Surrounding Areas" href="https://www.weather.gov/okx/" coords="707,137,700,141,697,140,696,143,687,146,683,149,682,147,678,148,673,151,673,153,678,155,680,157,681,157,682,164,691,162,709,147,701,151,690,155,691,153,696,150,695,148,700,147,707,143,707,137" shape="poly" target="_blank"/>
<area alt="South Central New York and Northeastern Pennsylvania" title="South Central New York and Northeastern Pennsylvania" href="https://www.weather.gov/bgm/" coords="659,119,656,123,652,124,652,128,648,128,646,130,646,132,642,134,641,138,638,140,638,142,634,144,636,152,645,151,648,156,655,155,655,159,658,164,662,164,663,160,666,157,670,156,672,159,673,157,674,151,677,147,674,147,674,145,672,143,673,137,670,135,669,132,668,129,662,131,662,123,659,119" shape="poly" target="_blank"/>
<area alt="Western New York - Buffalo" title="Western New York - Buffalo" href="https://www.weather.gov/buf/" coords="636,152,635,143,638,142,637,140,641,138,642,134,646,133,647,129,652,128,653,123,656,123,659,118,657,112,648,109,644,114,647,122,647,124,646,124,642,127,642,129,631,133,631,131,627,131,628,133,624,132,616,136,616,139,620,143,616,147,614,152,609,155,613,158,636,152" shape="poly" target="_blank"/>
<area alt="Eastern New York and Western New England Areas" title="Eastern New York and Western New England Areas" href="https://www.weather.gov/aly/" coords="658,113,661,122,662,131,668,129,670,135,673,136,670,143,675,144,675,148,682,147,683,150,688,146,693,143,690,135,689,126,693,123,692,122,691,117,683,117,677,111,673,114,668,113,667,108,658,113" shape="poly" target="_blank"/>
<area alt="Boston and Surrounding Areas" title="Boston and Surrounding Areas" href="https://www.weather.gov/box/" coords="694,123,688,126,689,132,692,137,694,144,707,139,708,144,712,141,712,138,720,139,722,138,724,131,715,124,715,118,712,118,711,115,708,119,705,116,700,115,693,116,692,122,694,123" shape="poly" target="_blank"/>
<area alt="Northern Vermont and New York" title="Northern Vermont and New York" href="https://www.weather.gov/btv/" coords="692,98,695,93,693,91,693,85,664,95,659,96,652,101,649,106,649,109,658,113,666,108,668,113,673,114,677,110,681,114,683,118,692,117,692,98" shape="poly" target="_blank"/>
<area alt="Southern Maine and New Hampshire" title="Southern Maine and New Hampshire" href="https://www.weather.gov/gyx/" coords="693,80,693,90,694,94,691,97,692,118,700,115,705,117,708,119,712,115,713,106,716,97,724,92,726,82,724,80,720,82,716,75,713,78,709,69,707,64,702,66,700,71,697,78,693,80" shape="poly" target="_blank"/>
<area alt="Northern Maine" title="Northern Maine" href="https://www.weather.gov/car/" coords="714,37,709,42,705,38,700,53,700,65,707,64,714,78,716,75,720,81,725,80,728,85,733,83,735,79,739,78,743,72,744,70,740,66,737,67,734,62,734,61,729,61,728,55,724,46,721,40,718,37,714,37" shape="poly" target="_blank"/>
</map>

<map id="alaska_imagemap_354_274" name="alaska_imagemap_354_274">
  <area shape="poly" coords="280,236,294,236,297,236,297,219,297,217,286,210,280,193,270,183,264,174,259,174,253,174,251,174,248,169,248,169,240,169,212,169,212,188,221,188,237,198,242,207,251,217,256,224,256,229,267,243" href="https://www.weather.gov/ajk/" title="Juneau, AK" alt="Juneau, AK" target="_blank"/>
  <area shape="poly" coords="63,21,60,62,65,105,38,126,14,152,65,152,79,157,133,145,150,150,177,141,212,145,231,169,231,17,202,7,163,0,114,0,95,10,84,19" href="https://www.weather.gov/afg/" title="Fairbanks, AK" alt="Fairbanks, AK" target="_blank"/>
  <area shape="poly" coords="71,262,114,248,150,236,161,226,166,217,177,207,180,195,193,191,212,191,212,169,231,169,212,145,177,141,150,150,133,145,79,157,63,152,14,152,0,172,0,188,65,188,79,193,95,203,106,210,82,222,60,238,49,243,14,250,0,250,0,272,54,272" href="https://www.weather.gov/afc/" title="Anchorage, AK" alt="Anchorage, AK" target="_blank"/>
  <area shape="poly" coords="63,0,63,19,84,19,98,7,114,0,109,0,65,0" href="https://www.weather.gov/afg/" title="Western US Arctic Offshore" alt="Western US Arctic Offshore" target="_blank"/>
  <area shape="poly" coords="234,7,234,17,234,17,231,17,221,12,215,10,212,7,196,5,180,0,169,0,234,0" href="https://www.weather.gov/afg/" title="Eastern US Arctic Offshore" alt="Eastern US Arctic Offshore" target="_blank"/>
  <area shape="poly" coords="0,188,52,188,52,219,0,219,0,186" href="https://www.weather.gov/afc/" title="Bering Sea offshore 171 degrees West to 180 degrees and north of 56 degrees North" alt="Bering Sea offshore 171 degrees West to 180 degrees and north of 56 degrees North" target="_blank"/>
  <area shape="poly" coords="0,219,52,219,52,241,44,243,27,245,11,250,0,250,0,219" href="https://www.weather.gov/afc/" title="Bering Sea offshore 171 degrees West to 180 degrees and south of 56 degrees North" alt="Bering Sea offshore 171 degrees West to 180 degrees and south of 56 degrees North" target="_blank"/>
  <area shape="poly" coords="54,205,54,210,60,214,65,217,65,207,60,205" href="https://www.weather.gov/afc//" title="Pribilof Islands (St. Paul and St. George)" alt="Pribilof Islands (St. Paul and St. George)"/>
  <area shape="poly" coords="65,188,74,188,82,193,93,198,106,210,79,222,74,226,68,231,63,238,52,238,52,186" href="https://www.weather.gov/afc/" title="Bering Sea offshore east of 171 degrees West" alt="Bering Sea offshore east of 171 degrees West" target="_blank"/>
  <area shape="poly" coords="193,191,215,193,215,207,177,207,180,195,188,193,196,193" href="https://www.weather.gov/afc/" title="Gulf of Alaska offshore north of 57 degrees North and west of 144 degrees West" alt="Gulf of Alaska offshore north of 57 degrees North and west of 144 degrees West" target="_blank"/>
  <area shape="poly" coords="177,207,215,210,215,233,193,233,188,233,152,233,163,226,163,219,174,212" href="https://www.weather.gov/afc/" title="Gulf of Alaska offshore south of 57 degrees North north of 55 degrees North and west of 144 degrees West" alt="Gulf of Alaska offshore south of 57 degrees North north of 55 degrees North and west of 144 degrees West" target="_blank"/>
  <area shape="poly" coords="221,191,229,195,237,200,242,207,245,212,251,219,256,229,256,233,251,233,245,233,215,233,215,191" href="https://www.weather.gov/ajk/" title="Gulf of Alaska north of 55 degrees North and east of 144 degrees West" alt="Gulf of Alaska north of 55 degrees North and east of 144 degrees West" target="_blank"/>
  <area shape="poly" coords="240,253,313,288,313,243,300,229,275,203,240,195,240,253" href="https://www.weather.gov/ajk/" title="Juneau, AK" alt="Juneau, AK" target="_blank"/>
</map>

<map name="hawaii_imagemap_354_274" id="hawaii_imagemap_354_274">
  <area shape="poly" coords="1,98,1,74,19,62,45,50,74,43,87,45,104,52,113,62,117,67,120,69,120,74,142,67,162,67,168,69,194,93,220,91,233,91,246,98,259,100,285,119,288,124,291,126,291,131,301,133,311,138,337,157,350,172,346,193,337,205,314,214,301,219,285,229,278,229,265,231,243,224,233,217,230,214,230,207,227,191,220,186,220,176,217,169,207,164,204,164,194,155,185,152,172,143,165,136,139,136,123,129,107,105,87,112,65,112,58,110,52,114,39,117,32,114,19,114,1,98" href="https://www.weather.gov/hfo/" title="Honolulu, HI" alt="Honolulu, HI" target="_blank"/>
  <area shape="poly" coords="1,1,353,1,353,193,350,193,350,172,337,157,304,136,298,133,291,131,298,126,288,124,288,117,269,105,265,105,256,98,246,98,233,91,220,88,194,86,168,67,159,67,120,74,117,62,104,52,87,43,52,45,13,64,1,71,1,1" href="https://www.weather.gov/hfo/" title="Hawaiian Offshore Waters" alt="Hawaiian Offshore Waters" target="_blank"/>
  <area shape="poly" coords="1,100,1,274,353,274,353,195,337,203,330,210,321,214,308,219,298,226,275,233,265,233,240,224,230,214,230,207,227,205,227,191,220,186,220,179,217,176,210,169,204,167,188,155,178,150,162,138,139,138,123,131,104,107,87,114,65,114,58,112,52,114,45,117,39,119,32,117,16,114,1,100" href="https://www.weather.gov/hfo/" title="Hawaiian Offshore Waters" alt="Hawaiian Offshore Waters" target="_blank"/>
</map>
</div><br/><hr/>
		<div id="territorylinks" class="center" style="width:<?php echo $divWidth?>px; float:none; text-align:center">
          <a href="https://www.weather.gov/ppg/" target="_blank" title="Opens in New Tab">American Samoa</a>
          <a href="https://www.weather.gov/gum/" target="_blank" title="Opens in New Tab">Guam</a>
          <a href="https://www.weather.gov/sju/" target="_blank" title="Opens in New Tab">Puerto Rico/Virgin Islands</a>
     </div>
   <hr/>
</div>
<div align="left" class="center" id="usAlertsMapLegend" style="width:<?php echo $divWidth?>px; float:none">
  <?php echo $usAlertsMapLegend; ?>
</div> <!-- usAlertsMapLegend -->
<?php if ($oddLegend) echo '<p>&nbsp;</p>';?>
<div style="width:<?php echo $divWidth?>px; <?php echo $standAlone?'clear:both;':''?>; float:none; text-align:center;" class="center">
<hr />
<span style="font-size:10.5px; line-height:150%; text-align:center">
Click on map to open a new tab zoomed to the area of interest where the local legend also decodes the colors and links to detailed local text alerts.  The NWS map which opens is in turn clickable to then display <b>VERY</b> localized conditions and a 7 day forecast.<br/>
    <i>All Maps and Data Are Courtesy of <a href="https://www.weather.gov" target="_blank" title="Opens in New Tab">NOAA/NWS</a>.</i>  (Current NWS Alerts <a href="https://www.weather.gov/help-map" title="New Tab" target="_blank">Color Code Chart</a>)
<br/>Experimental <a href="https://mrcc.purdue.edu/VIP/frz_maps/images/US_freeze_cnty.png" target="_blank" title="New Tab">Freeze Alert Status</a> courtesy of <a href="https://mrcc.purdue.edu/VIP/index.html" target="_blank" title="New Tab">MRCC Vegetation Impact Program</a> (VIP).<br/>
Special thanks to <a href="https://lexmaweather.info/usalerts.php" target="_blank" title="Off Site">JJ Krawczyk <i>aka</i> jasiu</a> for the map resizing code and the Legend fix.
</span>
<?php if (!$standAlone && file_exists('wxusalerts-varsize-SA.php')) {
	echo '<p align="center" style="font-size:14px"><a href="wxusalerts-varsize-SA.php" target="_blank">Full Size Maps</a></p>';
} ?>
</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
// replacement for some of the "fetch data without hanging" routines in the code 
// get contents from one URL and return as string starting with data portion
// returns array($headers, $content)

function getRemoteDataWithoutHanging($url, $cacheName, $ldJson, $geoJson, $redirects) {
   global $needCookie, $SITE;
   $overall_start = time();

   if (empty($url) )
   {
     echo "<!-- no URL, will check cache -->\n";
     $content = "";
     $headers = "";
   }
   else
   {
     $overall_start = time();

     // Set maximum number of seconds to wait for feed before displaying page without feed
     $numberOfSeconds=6;

     // Thanks to Curly from ricksturf.com for the cURL fetch functions
     $curlVersion = curl_version();
     // echo "<!--\n";
     // echo print_r($curlVersion, TRUE);
     // echo "\n features: 0x" . dechex($curlVersion['features']) . "\n";
     // echo "\n-->\n";

     if (!$curlVersion['features'] & CURL_VERSION_SSL)
       echo "<!-- SSL is not supported with this cURL installation. -->\n";


     $data = '';
     $domain = parse_url($url,PHP_URL_HOST);

     // add cache-buster to URL if needed
     $theURL = str_replace('nocache','?'.$overall_start,$url);
     echo "<!-- curl fetching '$theURL' -->\n";

     $ch = curl_init();                        // initialize a cURL session
     curl_setopt($ch, CURLOPT_URL, $theURL);   // connect to provided URL

     // we will verify peer certificate...
      curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		  curl_setopt($ch, CURLOPT_USERAGENT,'AlertsFetch/1.1 (Web Application, www.gwwilkins.org)');

     if ($ldJson)
     {
       curl_setopt($ch,CURLOPT_HTTPHEADER, // request LD-JSON format
                   array (
                     "Accept: application/ld+json"
                   ));
     }
     else if ($ldJson)
     {
       curl_setopt($ch,CURLOPT_HTTPHEADER, // request GEO-JSON format
                   array (
                     "Accept: application/geo+json"
                   ));
     }

     curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $numberOfSeconds);  // connection timeout
     curl_setopt($ch, CURLOPT_TIMEOUT, $numberOfSeconds);       // data timeout
     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);            // return the data transfer
     curl_setopt($ch, CURLOPT_NOBODY, false);                   // set nobody
     curl_setopt($ch, CURLOPT_HEADER, true);                    // include header information

     if (isset($redirects)  && ($redirects > 0) )
     {
       curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true); // follow Location: redirect
       curl_setopt($ch, CURLOPT_MAXREDIRS, $redirects); // however many times requested
     }

     if (isset($needCookie[$domain]))
     {
       curl_setopt($ch, $needCookie[$domain]);                    // set the cookie for this request
       curl_setopt($ch, CURLOPT_COOKIESESSION, true);             // and ignore prior cookies
       echo  "<!-- cookie used '" . $needCookie[$domain] . "' for GET to $domain -->\n";
     }

     $data = curl_exec($ch);                                    // execute session

     if(curl_error($ch) <> '') // IF there is an error
     {
       echo "<!-- curl Error: ". curl_error($ch) ." -->\n"; // display error notice
     }

     $cinfo = curl_getinfo($ch);                            // get info on curl exec.
     /*
        curl info sample
        Array
        (
        [url] => http://saratoga-weather.net/clientraw.txt
        [content_type] => text/plain
        [http_code] => 200
        [header_size] => 266
        [request_size] => 141
        [filetime] => -1
        [ssl_verify_result] => 0
        [redirect_count] => 0
        [total_time] => 0.125
        [namelookup_time] => 0.016
        [connect_time] => 0.063
        [pretransfer_time] => 0.063
        [size_upload] => 0
        [size_download] => 758
        [speed_download] => 6064
        [speed_upload] => 0
        [download_content_length] => 758
        [upload_content_length] => -1
        [starttransfer_time] => 0.125
        [redirect_time] => 0
        [redirect_url] =>
        [primary_ip] => 74.208.149.102
        [certinfo] => Array
        (
        )

        [primary_port] => 80
        [local_ip] => 192.168.1.104
        [local_port] => 54156
        )
      */
     echo "<!-- HTTP stats: " . " RC=" . $cinfo['http_code'] . "dest=".$cinfo['primary_ip'] ;
     if(isset($cinfo['primary_port']))
     {
       echo " port=".$cinfo['primary_port'] ;
     }
     if(isset($cinfo['local_ip']))
     {
       echo " (from sce=" . $cinfo['local_ip'] . ")";
     }

     echo "\n      Times:" . " dns=" . sprintf("%01.3f",round($cinfo['namelookup_time'],3)) . " conn=" . sprintf("%01.3f",round($cinfo['connect_time'],3)) . " pxfer=" . sprintf("%01.3f",round($cinfo['pretransfer_time'],3));

     if($cinfo['total_time'] - $cinfo['pretransfer_time'] > 0.0000)
     {
       echo " get=" . sprintf("%01.3f",round($cinfo['total_time'] - $cinfo['pretransfer_time'],3));
     }

     echo " total=" . sprintf("%01.3f",round($cinfo['total_time'],3)) . " secs -->\n";

     //echo "<!-- curl info\n".print_r($cinfo,true)." -->\n";

     curl_close($ch);                                              // close the cURL session

     //echo "<!-- raw data\n".$data."\n -->\n";

     $i = strpos($data,"\r\n\r\n");
     $headers = substr($data,0,$i);
     $content = substr($data,$i+4);

     if($cinfo['http_code'] <> '200')
     {
       echo "<!-- headers returned:\n".$headers."\n -->\n";
       $content = "";  // didn't get good data
     }
   } // if URL passed in

   if (empty($content) )
   {
     // see if we have cached data we can return
     $headers = "";
     echo "<!-- content empty, checking for cache file $cacheName -->\n";
     if (!empty($cacheName) )
     {
       echo "<!-- checking on cache file -->\n";
       if ( ! file_exists($cacheName) )
       {
         echo "<!-- cache file does not exist -->\n";
         $content = "";
       }
       else
       {
         echo "<!-- cache file exists, using data -->\n";
         $content = file_get_contents($cacheName);
       }
     } // end if cache file name given
   } // end if no content

   else if (!empty($cacheName) )
   {
     // write cache file if requested
     echo "<!-- writing cache file: $cacheName -->\n";

     $fp = fopen($cacheName, "w");
     echo "<!-- fp: $fp -->\n";

     $bytes = fwrite ($fp, $content);
     echo "<!-- bytes: $bytes -->\n";
     fclose($fp);
   }

   $remoteData = array($headers, $content);
   return $remoteData;

} // end getRemoteDataWithoutHanging
?>
